<?php

if (!defined("CLEANUKE_INSTALL")){
Header("Location: index.php");
}

/************************************************************************/
/* Cleanuke: Advanced Content Management System                         */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* Cleanuke Installer was based on Joomla Installer                     */
/* Cleanuke Installer improved for WL-Nuke by Weblord.it                */
/* Joomla is Copyright (c) by Open Source Matters                       */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

if (file_exists( '../config.php' ) && filesize( '../config.php' ) > 300) {
	header( 'Location: ../index.php' );
	exit();
}

error_reporting( E_ALL );

header ("Cache-Control: no-cache, must-revalidate");	// HTTP/1.1
header ("Pragma: no-cache");	// HTTP/1.0

/**
* Utility function to return a value from a named array or a specified default
*/
define( "_MOS_NOTRIM", 0x0001 );
define( "_MOS_ALLOWHTML", 0x0002 );
function mosGetParam( &$arr, $name, $def=null, $mask=0 ) {
	$return = null;
	if (isset( $arr[$name] )) {
		if (is_string( $arr[$name] )) {
			if (!($mask&_MOS_NOTRIM)) {
				$arr[$name] = trim( $arr[$name] );
			}
			if (!($mask&_MOS_ALLOWHTML)) {
				$arr[$name] = strip_tags( $arr[$name] );
			}
			if (!get_magic_quotes_gpc()) {
				$arr[$name] = addslashes( $arr[$name] );
			}
		}
		return $arr[$name];
	} else {
		return $def;
	}
}

function mosMakePassword($length) {
	$salt = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
	$len = strlen($salt);
	$makepass="";
	mt_srand(10000000*(double)microtime());
	for ($i = 0; $i < $length; $i++)
	$makepass .= $salt[mt_rand(0,$len - 1)];
	return $makepass;
}


function menu_install($step){

if ($step == 1){
$onoff="on";
$onoff1="off";
$onoff2="off";
$onoff3="off";
} elseif ($step == 2){
$onoff="off";
$onoff1="on";
$onoff2="off";
$onoff3="off";
} elseif ($step == 3){
$onoff="off";
$onoff1="off";
$onoff2="on";
$onoff3="off";
} elseif ($step == 4){
$onoff="off";
$onoff1="off";
$onoff2="off";
$onoff3="on";
}

echo '<div class="step-'.$onoff.'">'.INSTALL_MENUSTART.'</div>';
echo '<div class="step-'.$onoff1.'">'.INSTALL_MENUSTART2.'</div>';
echo '<div class="step-'.$onoff2.'">'.INSTALL_MENUSTART3.'</div>';
echo '<div class="step-'.$onoff3.'">'.INSTALL_MENUSTART4.'</div>';

}


function headinstall(){
echo '<link rel="stylesheet" href="../themes/blizard/style/style.css" type="text/css"/>';
echo "<style type='text/css'>
body {  background-color: #1d7078;   font-family: Verdana,Helvetica; font-size: 10px; background-image: url(../themes/CleanSunset/images/grass.jpg); background-position: center bottom; background-repeat: repeat-x; background-attachment: fixed;}
</style>";

}




function header_install(){
echo "<div id='header' style='background-image: url();'>";
echo "<img src='header_install.png' width='350' height='120'/>";
echo "</div>";
	echo "<br></br><center><table width='600'>
			<tr>";
				echo "<td width='400' valign='top'><div class='content'>";

}

function footer_install(){

echo "</div>";
echo "</td>
			</tr>
		</table>";
echo "<br>
<div class='content'>";
echo '<div class="footer">
	<a href="http://www.cleanuke.tk" target="_blank">Cleanuke</a> is Free Software released under the GNU/GPL License. Based on <a href="http://www.phpnuke.org" target="_blank">Php-Nuke</a>
</div>
<div class="footer">';
echo "
	Cleanuke e' un cms sviluppato da";
	echo ' <a href="http://www.matteoiammarrone.com/cleanuke" target="_blank">Matteo Iammarrone(matteoiamma)</a> | <a href="http://www.sourceforge.net/projects/cleanuke" target="_blank">Sourceforge Project</a> | <a href="http://www.cleanuke.altervista.org/forum" target="_blank">Clean Nuke Forum Support</a> | <a href="http://www.cleanuke.tk" target=_"blank">Clean Nuke/Phpnuke Resources</a>
</div></div>
</center>
';
}

/*
function header_install(){
echo '<div id="header">
<div id="phpnuke"><img src="header_install.png" alt="Installazione Cleanuke 1.9" title="Installazione Clean Nuke 1.9" /></div>
</div>
<center>
<img src="images/menu-texture.png" width="762"/>
</center><center>
<div class="content_class">';
}

function footer_install(){

echo '</div></center>
<center>
<img src="images/footer.png" width="762"/>
<div class="footer">
	<a href="http://www.cleanuke.tk" target="_blank">Cleanuke</a> is Free Software released under the GNU/GPL License. Based on <a href="http://www.phpnuke.org" target="_blank">Php-Nuke</a>
</div>
<div class="footer">';
echo "
	Cleanuke e' un cms sviluppato da";
	echo ' <a href="http://www.matteoiammarrone.com/cleanuke" target="_blank">Matteo Iammarrone(matteoiamma)</a> | <a href="http://www.sourceforge.net/projects/cleanuke" target="_blank">Sourceforge Project</a>
</div>
</center>
';
}
*/

$lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);


 if ($lang == "it"){


function script_head(){
echo "<script  type='text/javascript'>
<!--
function check() {
	// form validation check
	var formValid=false;
	var f = document.form;
	if ( f.DBhostname.value == '' ) {
		alert('Inserisci il nome di un host');
		f.DBhostname.focus();
		formValid=false;
	} else if ( f.DBuserName.value == '' ) {
		alert('Prego inserisci uno username per il Database');
		f.DBuserName.focus();
		formValid=false;
	} else if ( f.DBname.value == '' ) {
		alert('Prego inserisci un nome per il tuo nuovo Database');
		f.DBname.focus();
		formValid=false;
	} else if ( f.DBPrefix.value == '' ) {
		alert('Indicare un prefisso tabelle MySQL per il corretto funzionamento di Cleanuke!.');
		f.DBPrefix.focus();
		formValid=false;
		} else if ( confirm('Sei sicuro che questi settaggi sono corretti? \n\nCleanuke adesso provera' a popolare un Database con i dati che hai fornito\nSe il nome del database gia' esiste, verra' eliminato con tutto il suo contenuto!')) {
		formValid=true;
	} else if ( f.sitename.value == '' ) {
		alert('Prego inserisci un nome per il sito');
		f.sitename.focus();
		formValid = false
	}

	return formValid;
}
//-->
</script>";
}

define("INSTALL_MENUSTART", "Inizio");
define("INSTALL_MENUSTART2", "Licenza");
define("INSTALL_MENUSTART3", "Installa");
define("INSTALL_MENUSTART4", "Fine");


define("INSTALL_NEXT", "Successivo");
define("INSTALL_PRECHECK", "Controllo pre-installazione");
define("INSTALL_PRECHECKS", "Controllo pre-installazione");
define("INSTALL_PRECHECK_ALERT", "Se qualcuno dei seguenti oggetti e' segnalato in rosso cerca di correggerli. Altrimenti l'installazione di Cleanuke potrebbe non funzionare corretamente");
define("INSTALL_PREMYSQL", "supporto MYSQL");
define("INSTALL_PREGD", "supporto GD graphics");
define("INSTALL_PREZLIB", "supporto zlib compression");
define("INSTALL_PREPHP", "Versione PHP >= 4.3.0");
define("INSTALL_PREDISP", "Disponbile");
define("INSTALL_PRENONDISP", "Non disponibile");
define("INSTALL_PREWRITABLE", "Scrivibile");
define("INSTALL_PRENOTWRITABLE", "Non scrivibile");
define("INSTALL_PRENOTWRITABLE2", "Puoi continuare ugualmente il processo di installazione. Alla fine ti verra' mostrato il contenuto del config.php, quindi dovrai fare il copia & incolla di quello che ti verra' mostrato e fare l'upload del file");
define("INSTALL_PREALERT1", "Per far funzionare correttamente Cleanuke
alcuni files necessitano i permessi in scrittura.
Se leggi 'Non Scrivibile' devi modificare
del file per consentire a Cleanuke
di poterci scrivere.");
define("INSTALL_PERMISSIONFILE", "Permessi sui files");
define("YES", "Si");
define("NO", "No");
define("INSTALL_RACC", "Settaggi Raccomandati");
define("INSTALL_RACC2", "Questi sono i settaggi raccomandati per il PHP per assicurarsi la piena compatibilita' con Cleanuke.<br />Comunque, Cleanuke puo' funzionare anche se i settagi non sono quelli raccomandati");
define("INSTALL_RICONTROLLA", "Ricontrolla");
define("INSTALL_GNUGPL", "Licensa GNU/GPL");
define("INSTALL_DBCONFIG", "Configurazione database MySQL");
define("INSTALL_DBCONFIG_TEXT", "  				<p>Per configurare Cleanuke sul tuo server devi fare 4 semplici passi...</p>
  				<p>Inserisci l'hostname del server dove Cleanuke e' installato.</p>
				<p>Inserisci username, password e nome del database MySQL che vuoi utilizzare per Cleanuke.</p>
");
define("INSTALL_MYSQL_TABLE", "Prefisso tabelle MYSQL");
define("INSTALL_MYSQL_LOCALHOST", "Solitamente localhost");
define("INSTALL_MYSQL_ROOT", "Di solito  root, altre volte ti viene fornito dal proprietario del sistema hosting");
define("INSTALL_MYSQL_PASSWORD", "Inserisci la password del database da utilizza, viene fornita dal tuo hoster");
define("INSTALL_MYSQL_DBNAME", "Inserisci il nome del database per il tuo sito Cleanuke.");
define("INSTALL_MYSQL_TABLE2", "Si consiglia di usare un prefisso diverso da nuke per motivi di sicurezza");
define("INSTALL_SITENAME", "Nome Sito");
define("INSTALL_ADMINISTRATION", "Creazione amministratore");
define("INSTALL_ADMIN_REMBER", "								<p>Il Super User o Admin ID di default  e' <b>admin</b> e puo' essere modificato in seguito dal tuo pannello di amministrazione.<br />
									<br />
									 Inserisci il tuo indirizzo email, che sara' l'indirizzo email dell'amministratore del sito.<br />
									<br />
									Scegli una tua password. Il sistema genera una password casuale. Questa password  verra' usata per entrare nel pannello di ammnistrazione del tuo sito. Scrivi qualcosa che puoi ricordare o scrivila in un posto sicuro perche' non puo' essere recuperata e verra' salvata nel database criptata in MD5.
");
define("INSTALL_SENTINEL1", "Abilita/Disabilita URL Rewrite");
define("INSTALL_SENTINEL_TEXT", "<p>Da qui puoi decidere se attivare o meno il sistema url rewrite. Se il tuo server non lo supporta imposta su false.<br /><br />Per attivare l'url rewrite inserisci <font color='#009E16'><b>TRUE</b></font><br />Per disattivarlo inserisci <font color='#009E16'><b>FALSE</b></font></p>");
define("INSTALL_OR", "oppure");
define("INSTALL_SENTINEL_TEXT2", "		
");
define("INSTALL_ADVANCE_EDITOR", "Attivazione Editor Avanzato");				
define("INSTALL_ADVTEXT", "Da qui puoi abilitare o disabilitare l'editor html(consigliato attivo)");
define("INSTALL_ABILITATO", "Abilitato");
define("INSTALL_NOTABILITATO", "Disabilitato");


define("INSTALL_DBERROR", "I dettagli del database sono vuoti o incorretti!");
define("INSTALL_DBPREFIXERROR", "Devi indicare un prefisso per le tabelle del database");
define("INSTALL_DBPASSERROR", "Password e/o username del database non sono corretti!");
define("INSTALL_SITENAMERROR", "Nome sito non corretto!");
define("INSTALL_ADMINEMAILERROR", "Campo email vuoto o email inesistente!");
define("INSTALL_SITEURL", "L'url del sito non e' valido");

define("INSTALL_GOSITE", "Vai al sito");
define("INSTALL_GOADMINISTRATION", "Amministrazione");
define("INSTALL_CONGRATULATION", "Congratulazioni! Clean Nuke e' stato installato!");
define("INSTALL_FINALTEXT1", '	<p>Clicca sul pulsante "Guarda il Sito" per visitare il tuo nuovo sito oppure su "Amministrazione"
					per entrare nel pannello di ammnistrazione.</p>');
define("INSTALL_REMOVEFOLDER", "RICORDATI DI RIMUOVERE<br/>COMPLETAMENTE LA CARTELLA DI INSTALLAZIONE");

define("INSTALL_ADMINISTRATIONDETAIL", "Dettagli Login Amministrazione");	

define("INSTALL_FINALTEXT2", "");
								
define("INSTALL_PRECHECKS2", "Continua installazione");
define("INSTALL_FUNZIONESERVER", "Funzione");
define("INSTALL_RACCOMANDATA", "Consigliata");
define("INSTALL_ATTUALE", "Situazione attuale");
											
} else { 

//Traduzione by Vecchio Joe (http://www.vecchiojoe.it) - Egidio Castelforte

function script_head(){



echo "<script  type='text/javascript'>
<!--
function check() {
	// form validation check
	var formValid=false;
	var f = document.form;
	if ( f.DBhostname.value == '' ) {
        alert('Enter a host name'); 
		f.DBhostname.focus();
		formValid=false;
	} else if ( f.DBuserName.value == '' ) {
        alert ('Please enter a username for the Database'); 
		f.DBuserName.focus();
		formValid=false;
	} else if ( f.DBname.value == '' ) {
        alert ('Please enter a name for your new database'); 
		f.DBname.focus();
		formValid=false;
	} else if ( f.DBPrefix.value == '' ) {
        alert ('Enter a MySQL table prefix for the proper functioning of the Clean Nuke!'); 
		f.DBPrefix.focus();
		formValid=false;
		} else if ( confirm ('Are you sure that these settings are correct? Cleanuke now try to p6opulate a database with data you provided. If the database name already exists, it is deleted with all its contents!')) { 
		formValid=true;
	} else if ( f.sitename.value == '' ) {
        alert ('Please enter a name for the site');
		f.sitename.focus();
		formValid = false
	}

	return formValid;
}
//-->
</script>";
}

define("INSTALL_MENUSTART", "Home"); 
define("INSTALL_MENUSTART2", "License"); 
define("INSTALL_MENUSTART3", "Install"); 
define("INSTALL_MENUSTART4", "End"); 

define("INSTALL_NEXT", "Next"); 
define("INSTALL_PRECHECK", "Pre-installation check"); 
define("INSTALL_PRECHECKS", "Pre-installation check"); 
define("INSTALL_PRECHECK_ALERT", "If any of these objects and 'marked in red tries to correct them. Otherwise, the installation of Cleanuke may not work correctly"); 
define("INSTALL_PREMYSQL", "MySQL support"); 
define("INSTALL_PREGD", "GD graphics support"); 
define("INSTALL_PREZLIB", "zlib compression support"); 
define("INSTALL_PREPHP", "PHP version> = 4.3.0"); 
define("INSTALL_PREDISP", "available"); 
define("INSTALL_PRENONDISP", "Not available"); 
define("INSTALL_PREWRITABLE", "Writable"); 
define("INSTALL_PRENOTWRITABLE", "not writable"); 
define("INSTALL_PRENOTWRITABLE2", "You can still continue the installation process. At the end you'll be shown the contents of config.php, so you have to copy & paste of what you will be shown, and then upload the file"); 
define("INSTALL_PREALERT1", "To function properly Cleanuke Some files need write permission. If you read 'Unwriteable' you need to change file to allow Cleanuke write to introduce ourselves. "); 
define("INSTALL_PERMISSIONFILE", "Permits on file"); 
define("YES", "Yes"); 
define("NO", "No"); 
define("INSTALL_RACC", "recommended settings"); 
define("INSTALL_RACC2", "These are the recommended settings for PHP in order to ensure full compatibility with Cleanuke. <br /> However, Cleanuke can work even if the Setting and are not recommended"); 
define("INSTALL_RICONTROLLA", "Recheck"); 
define("INSTALL_GNUGPL", "License GNU / GPL"); 
define("INSTALL_DBCONFIG", "Configuring MySQL database"); 
define("INSTALL_MYSQL_TABLE", "Prefix Tables MYSQL"); 
define("INSTALL_DBCONFIG_TEXT", "<p> To configure Cleanuke on your server you need to do 4 simple steps ...</p><p> Enter the hostname of the server where the Cleanuke installed. </p><p> Enter your username, password and database name you want to use MySQL for Cleanuke. </p><font color='#FF0000'> WARNING: </font> If the name of the database exists, the installer will cut him off? and it will create? a new one. All data in the existing database will be deleted and there will be? way to recover them. So, before you proceed make sure that the database does not exist or have made a backup of existing data. </ p>"); 
define("INSTALL_MYSQL_LOCALHOST"," Usually localhost"); 
define("INSTALL_MYSQL_ROOT", "Something like root or the username given dall'hoster"); 
define("INSTALL_MYSQL_PASSWORD", "For site security using a password for your mysql required"); 
define("INSTALL_MYSQL_DBNAME", "Enter the name of the database for your site Cleanuke."); 
define("INSTALL_MYSQL_TABLE2","E will use a different prefix should be nuke for security reasons"); 
define("INSTALL_SITENAME", "Site Name"); 
define("INSTALL_ADMINISTRATION", "Create administrator"); 
define("INSTALL_ADMIN_REMBER", "<p> Super Admin or User ID by default is admin </ b> and can be modified by your administration panel. <br /><br /> Enter your email address, which will be the email address of the site. <br /><br /> Choose a password. The system generates a random password. This password will be used to log-in as the administrator of your site. Write something you can remember or write it in a safe place because it can not be recovered and saved in MD5 encrypted in the database."); 
define("INSTALL_SENTINEL1", "Enable / Disable URL Rewrite"); 
define("INSTALL_SENTINEL_TEXT", "<p> From here you can decide whether to activate the url rewrite system. If your server does not support it set to false. <br /> <br /> To activate the url rewrite post < font color = '# 009E16'> TRUE </font> <br /> To disable enter <font color='#009E16'> FALSE </font> </p> "); 
define("INSTALL_OR", "or"); 
define("INSTALL_SENTINEL_TEXT2", ""); 
define("INSTALL_ADVANCE_EDITOR", "Enable Advanced Editor"); 
define("INSTALL_ADVTEXT", "From here you can enable or disable the html editor (recommended active)"); 
define("INSTALL_ABILITATO", "Enabled"); 
define("INSTALL_NOTABILITATO", "Off"); 


define("INSTALL_DBERROR", "Details of the database are blank or incorrect"); 
define("INSTALL_DBPREFIXERROR", "You must specify a prefix for the tables in the database"); 
define("INSTALL_DBPASSERROR", "Password and / or username of the database are not correct!"); 
define("INSTALL_SITENAMERROR", "site name wrong!"); 
define("INSTALL_ADMINEMAILERROR", "Field blank e-mail or e-mail does not exist!"); 
define("INSTALL_SITEURL", "The site url is invalid"); 

define("INSTALL_GOSITE", "Go to the site"); 
define("INSTALL_GOADMINISTRATION", "administration"); 
define("INSTALL_CONGRATULATION", "Congratulations! Clean Nuke installed!"); 
define("INSTALL_FINALTEXT1", "<p> Click on the 'View Site' to visit your new site or Directors to enter the administrator's panel. </ p> "); 
define("INSTALL_REMOVEFOLDER", "REMEMBER TO COMPLETELY REMOVE <br/> the installation folder"); 

define("INSTALL_ADMINISTRATIONDETAIL", "Login Details Directors"); 

define("INSTALL_FINALTEXT2", ""); 

define("INSTALL_PRECHECKS2", "Continue installation"); 
define("INSTALL_FUNZIONESERVER", "Function"); 
define("INSTALL_RACCOMANDATA", "Board"); 
define("INSTALL_ATTUALE", "Current");



}





?>