<?php

/************************************************************************/
/* PHP-NUKE: Advanced Content Management System                         */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* PHP-Nuke Installer was based on Joomla Installer                     */
/* PHP-Nuke Installer improved for WL-Nuke by Weblord.it                */
/* Joomla is Copyright (c) by Open Source Matters                       */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

define("CLEANUKE_INSTALL", true); 

require_once('version.php');

require('common.php');

											
function get_php_setting($val) {
	$r =  (ini_get($val) == '1' ? 1 : 0);
	return $r ? 'ON' : 'OFF';
}

function writableCell( $folder ) {
	echo '<tr>';
	echo '<td class="item">' . $folder . '</td>';
	echo '<td align="left">';
	echo is_writable( "../$folder" ) ? '<b><font color="green">'.INSTALL_PREWRITABLE.'</font></b>' : '<b><font color="red">'.INSTALL_PRENOTWRITABLE.'</font></b>' . '</td>';
	echo '</tr>';
}

echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Cleanuke Installer</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../../images/favicon.ico" />
<link rel="stylesheet" href="install.css" type="text/css"/>
<?php echo headinstall(); ?>
</head>
<body>

<?php echo header_install(); ?>
<div id="ctr" align="center">
<div class="install">
<table border="0"><tr valign="top"><td valign="top" width="150">
<div id="stepbar">
<?php echo menu_install(1); ?>
</div>
</td><td width="500" valign="top">
<div id="right">

<div id="step">
						<?php 
						echo "".INSTALL_PRECHECKS."<br />";
					
						
						?></div>

<div class="far-right">
</div>
<div class="clr">	<input name="Button2" type="submit" class="button" value="<?php echo INSTALL_PRECHECKS2; ?> >>" onclick="window.location='install.php';" />
	<br/>
	<br/>
	<input type="button" class="button" value="<?php echo INSTALL_RICONTROLLA; ?>" onclick="window.location=window.location" />
</div>

<h1><?php echo INSTALL_PRECHECK; ?>:<br/><?php echo $version; ?></h1>
<div class="install-text"><?php echo INSTALL_PRECHECK_ALERT; ?>.<div class="ctr"></div>
</div>

<div class="install-form">
<div class="form-block">

<table class="content">
<tr>
	<td class="item">
	<?php echo INSTALL_PREPHP; ?>
	</td>
	<td align="left">
	<?php echo phpversion() < '4.3' ? '<b><font color="red">'.NO.'</font></b>' : '<b><font color="green">'.YES.'</font></b>';?>
	</td>
</tr>
<tr>
	<td>
	&nbsp; - <?php echo INSTALL_PREZLIB; ?>
	</td>
	<td align="left">
	<?php echo extension_loaded('zlib') ? '<b><font color="green">'.INSTALL_PREDISP.'</font></b>' : '<b><font color="red">'.INSTALL_PRENONDISP.'</font></b>';?>
	</td>
</tr>
<tr>
	<td>
	&nbsp; - <?php echo INSTALL_PREGD; ?>
	</td>
	<td align="left">
	<?php echo extension_loaded('gd') ? '<b><font color="green">'.INSTALL_PREDISP.'</font></b>' : '<b><font color="red">'.INSTALL_PRENONDISP.'</font></b>';?>
	</td>
</tr>
<tr>
	<td>
	&nbsp; - <?php echo INSTALL_PREMYSQL; ?>
	</td>
	<td align="left">
	<?php echo function_exists( 'mysql_connect' ) ? '<b><font color="green">'.INSTALL_PREDISP.'</font></b>' : '<b><font color="red">'.INSTALL_PRENONDISP.'</font></b>';?>
	</td>
</tr>
<tr>
	<td valign="top" class="item">
	config.php
	</td>
	<td align="left">
	<?php
	if (@file_exists('../config.php') &&  @is_writable( '../config.php' )){
		echo '<b><font color="green">'.INSTALL_PREWRITABLE.'</font></b>';
	} else if (is_writable( '..' )) {
		echo '<b><font color="green">'.INSTALL_PREWRITABLE.'</font></b>';
	} else {
		echo '<b><font color="red">'.INSTALL_PRENOTWRITABLE.'</font></b><br /><span class="small">'.INSTALL_PRENOTWRITABLE2.'</span>';
	} ?>
	</td>
</tr>
</table>
</div>
</div>
<div class="clr"></div>

<h1><?php echo INSTALL_RACC; ?>:</h1>
<div class="install-text"><?php echo INSTALL_RACC2; ?><div class="ctr"></div>
</div>

<div class="install-form">
<div class="form-block">

<table class="content">
<tr>
	<td class="toggle">
	<?php echo INSTALL_FUNZIONESERVER; ?>
	</td>
	<td class="toggle">
	<?php echo INSTALL_RACCOMANDATA; ?>
	</td>
	<td class="toggle">
	<?php echo INSTALL_ATTUALE; ?>
	</td>
</tr>
<?php
$php_recommended_settings = array(array ('Safe Mode','safe_mode','OFF'),
array ('Display Errors','display_errors','ON'),
array ('File Uploads','file_uploads','ON'),
array ('Magic Quotes GPC','magic_quotes_gpc','ON'),
array ('Magic Quotes Runtime','magic_quotes_runtime','OFF'),
array ('Register Globals','register_globals','OFF'),
array ('Output Buffering','output_buffering','OFF'),
array ('Session auto start','session.auto_start','OFF'),
);

foreach ($php_recommended_settings as $phprec) {
?>
<tr>
	<td class="item"><?php echo $phprec[0]; ?>:</td>
	<td class="toggle"><?php echo $phprec[2]; ?>:</td>
	<td>
	<?php
	if ( get_php_setting($phprec[1]) == $phprec[2] ) {
	?>
		<font color="green"><b>
	<?php
	} else {
	?>
		<font color="red"><b>
	<?php
	}
	echo get_php_setting($phprec[1]);
	?>
	</b></font>
	<td>
</tr>
<?php
}
?>
</table>
</div>
</div>
<div class="clr"></div>

<h1><?php echo INSTALL_PERMISSIONFILE; ?>:</h1>
<div class="install-text">
<?php echo INSTALL_PREALERT1; ?>
<div class="clr">&nbsp;&nbsp;</div>
<div class="ctr"></div>
</div>

<div class="install-form">
<div class="form-block">

<table class="content">
<?php
writableCell('config.php');
writableCell('ultramode.txt');
writableCell('images');
writableCell('images/photos');
writableCell('includes/custom_files');
writableCell('backup');
?>
</table>
</div>
<div class="clr"></div>
</div>
<div class="clr"></div>
</div>
<div class="clr"></div>
</div>
</td></tr></table>

<?php echo footer_install(); ?>

</body>
</html>