# --------------------------------------------------------

# 
# Struttura della tabella `#___authors`
# 

CREATE TABLE #___authors (
  aid varchar(25) NOT NULL default '',
  name varchar(50) default NULL,
  url varchar(255) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  pwd varchar(40) default NULL,
  counter int(11) NOT NULL default '0',
  radminsuper tinyint(1) NOT NULL default '1',
  admlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (aid),
  KEY aid (aid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___authors`
# 


-- --------------------------------------------------------

# 
# Struttura della tabella `#___autonews`
# 

CREATE TABLE #___autonews (
  anid int(11) NOT NULL auto_increment,
  catid int(11) NOT NULL default '0',
  aid varchar(25) NOT NULL default '',
  title varchar(80) NOT NULL default '',
  time varchar(19) NOT NULL default '',
  hometext text NOT NULL,
  bodytext text NOT NULL,
  topic int(3) NOT NULL default '1',
  informant varchar(25) NOT NULL default '',
  notes text NOT NULL,
  ihome int(1) NOT NULL default '0',
  alanguage varchar(30) NOT NULL default '',
  acomm int(1) NOT NULL default '0',
  associated text NOT NULL,
  PRIMARY KEY  (anid),
  KEY anid (anid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___autonews`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___banned_ip`
# 

CREATE TABLE #___banned_ip (
  id int(11) NOT NULL auto_increment,
  ip_address varchar(15) NOT NULL default '',
  reason varchar(255) NOT NULL default '',
  date date NOT NULL default '0000-00-00',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___banned_ip`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___banner`
# 

CREATE TABLE #___banner (
  bid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  imptotal int(11) NOT NULL default '0',
  impmade int(11) NOT NULL default '0',
  clicks int(11) NOT NULL default '0',
  imageurl varchar(100) NOT NULL default '',
  clickurl varchar(200) NOT NULL default '',
  alttext varchar(255) NOT NULL default '',
  date datetime default NULL,
  dateend datetime default NULL,
  type tinyint(1) NOT NULL default '0',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (bid),
  KEY bid (bid),
  KEY cid (cid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___banner`
# 

-- --------------------------------------------------------

# 
# Struttura della tabella `#___bannerclient`
# 

CREATE TABLE #___bannerclient (
  cid int(11) NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  contact varchar(60) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  login varchar(10) NOT NULL default '',
  passwd varchar(10) NOT NULL default '',
  extrainfo text NOT NULL,
  PRIMARY KEY  (cid),
  KEY cid (cid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___bannerclient`
# 

INSERT INTO #___bannerclient VALUES (NULL, 'noclient', 'noclient', 'me@tuosito.com', '', '', '');

# 
# Struttura della tabella `#___blocks`
# 

CREATE TABLE #___blocks (
  bid int(10) NOT NULL auto_increment,
  bkey varchar(15) NOT NULL default '',
  title varchar(60) NOT NULL default '',
  content text NOT NULL,
  url varchar(200) NOT NULL default '',
  bposition char(1) NOT NULL default '',
  weight int(10) NOT NULL default '1',
  active int(1) NOT NULL default '1',
  refresh int(10) NOT NULL default '0',
  time varchar(14) NOT NULL default '0',
  blanguage varchar(30) NOT NULL default '',
  blockfile varchar(255) NOT NULL default '',
  view int(1) NOT NULL default '0',
  expire varchar(14) NOT NULL default '0',
  action char(1) NOT NULL default '',
  subscription int(1) NOT NULL default '0',
  PRIMARY KEY  (bid),
  KEY bid (bid),
  KEY title (title)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___blocks`
# 

INSERT INTO #___blocks VALUES (1, '', 'Sezioni', '', '', 'l', 1, 1, 0, '', '', 'block-Modules.php', 0, '0', 'd', 0);
INSERT INTO #___blocks VALUES (2, 'admin', 'Amministrazione', '<strong><big></big></strong> <a href="admin.php">Administration</a><br>\r\n<strong><big></big></strong>  <strong><big></big></strong><a href="admin.php?op=content">Content</a><br>\r\n<strong><big></big></strong> <a href="admin.php?op=logout">Logout</a>', '', 'l', 2, 1, 0, '985591188', '', '', 2, '0', 'd', 0);
INSERT INTO #___blocks VALUES (3, '', 'Lingua', '', '', 'd', 1, 1, 3600, '', '', 'block-Languages.php', 0, '0', 'd', 0);
INSERT INTO #___blocks VALUES (4, '', 'Categorie Contenuti', '', '', 'r', 1, 0, 0, '', '', 'block-Categories.php', 0, '0', 'd', 0);
INSERT INTO #___blocks VALUES (5, '', 'Cambia Tema', '', '', 'd', 2, 0, 0, '', '', 'block-Preview_theme.php', 0, '0', 'd', 0);

# --------------------------------------------------------

# 
# Struttura della tabella `#___comments`
# 

CREATE TABLE #___comments (
  tid int(11) NOT NULL auto_increment,
  pid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  date datetime default NULL,
  name varchar(60) NOT NULL default '',
  email varchar(60) default NULL,
  url varchar(60) default NULL,
  host_name varchar(60) default NULL,
  subject varchar(85) NOT NULL default '',
  comment text NOT NULL,
  score tinyint(4) NOT NULL default '0',
  reason tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (tid),
  KEY tid (tid),
  KEY pid (pid),
  KEY sid (sid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___comments`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___config`
# 

CREATE TABLE #___config (
  sitename varchar(255) NOT NULL default '',
  nukeurl varchar(255) NOT NULL default '',
  site_logo varchar(255) NOT NULL default '',
  slogan varchar(255) NOT NULL default '',
  startdate varchar(50) NOT NULL default '',
  adminmail varchar(255) NOT NULL default '',
  anonpost tinyint(1) NOT NULL default '0',
  Default_Theme varchar(255) NOT NULL default '',
  foot1 text NOT NULL,
  foot2 text NOT NULL,
  foot3 text NOT NULL,
  commentlimit int(9) NOT NULL default '4096',
  anonymous varchar(255) NOT NULL default '',
  minpass tinyint(1) NOT NULL default '5',
  articlecomm tinyint(1) NOT NULL default '1',
  broadcast_msg tinyint(1) NOT NULL default '1',
  my_headlines tinyint(1) NOT NULL default '1',
  top int(3) NOT NULL default '10',
  storyhome int(2) NOT NULL default '10',
  user_news tinyint(1) NOT NULL default '1',
  oldnum int(2) NOT NULL default '30',
  ultramode tinyint(1) NOT NULL default '0',
  banners tinyint(1) NOT NULL default '1',
  backend_title varchar(255) NOT NULL default '',
  backend_language varchar(10) NOT NULL default '',
  language varchar(100) NOT NULL default '',
  locale varchar(10) NOT NULL default '',
  notify tinyint(1) NOT NULL default '0',
  notify_email varchar(255) NOT NULL default '',
  notify_subject varchar(255) NOT NULL default '',
  notify_message varchar(255) NOT NULL default '',
  notify_from varchar(255) NOT NULL default '',
  moderate tinyint(1) NOT NULL default '0',
  admingraphic tinyint(1) NOT NULL default '1',
  httpref tinyint(1) NOT NULL default '1',
  httprefmax int(5) NOT NULL default '1000',
  CensorMode tinyint(1) NOT NULL default '3',
  CensorReplace varchar(10) NOT NULL default '',
  news_cols int(2) NOT NULL default '1',
  news_perpage  int(2) NOT NULL default '2',
  copyright text NOT NULL,
  Version_Num varchar(20) NOT NULL default '',
  blocks_status int ( 2 ) NOT NULL default '0',
  PRIMARY KEY  (sitename)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___config`
# 

INSERT INTO #___config VALUES ('Cleanuke Powered Site', 'http://tuosito.com', 'logo.png', 'Il Tuo Slogan qui', 'Luglio 2011', 'webmaster@tuosito.com', 0, 'Cleanuke-Revolution', '<a href="http://phpnuke.org" target="blank"><img src="images/powered/phpnuke.png" border="0" Alt="Web site powered by PHP-Nuke" hspace="10"></a>  <a href="http://www.cleanuke.tk" target="blank"><img src="images/powered/cleanuke.png" border="0" Alt="Clean Nuke" hspace="10"></a><br>', 'All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest &copy; 2007 by me.', 'Sito, Community, Phpnuke, Cleanuke, Computer, Informatica, Internet, Test, Altra Keyword', 4096, 'Anonimo', 5, 1, 1, 1, 10, 10, 1, 30, 0, 1, 'PHP-Nuke Powered Site', 'it-it', 'italian', 'it_IT', 0, 'me@tuosito.com', 'NEWS per il mio sit', 'Ciao! Ti hanno segnalato una news usando il modulo Submit News del tuo sito!.', 'webmaster', 0, 1, 1, 1000, 3, '*****', '1', '2', '<a href="http://phpnuke.org" title="Engine PHP-Nuke" target="_blank"><font class="footmsg_l">Engine PHP-Nuke</font></a> - <a href="http://www.matteoiammarrone.com/cleanuke" target="_blank" title="Powered by Clean Nuke"><font class="footmsg_l">Powered by Clean Nuke</font></a>', 'Cleanuke 1.9', '0');


# --------------------------------------------------------



# 
# Struttura della tabella `#___counter`
# 

CREATE TABLE #___counter (
  type varchar(80) NOT NULL default '',
  var varchar(80) NOT NULL default '',
  count int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___counter`
# 

INSERT INTO #___counter VALUES ('total', 'hits', 1);
INSERT INTO #___counter VALUES ('browser', 'WebTV', 0);
INSERT INTO #___counter VALUES ('browser', 'Lynx', 0);
INSERT INTO #___counter VALUES ('browser', 'MSIE', 0);
INSERT INTO #___counter VALUES ('browser', 'Opera', 0);
INSERT INTO #___counter VALUES ('browser', 'chrome', 0);
INSERT INTO #___counter VALUES ('browser', 'Netscape', 1);
INSERT INTO #___counter VALUES ('browser', 'FireFox', 0);
INSERT INTO #___counter VALUES ('browser', 'Bot', 0);
INSERT INTO #___counter VALUES ('browser', 'Other', 0);
INSERT INTO #___counter VALUES ('os', 'Windows', 0);
INSERT INTO #___counter VALUES ('os', 'Linux', 1);
INSERT INTO #___counter VALUES ('os', 'Mac', 0);
INSERT INTO #___counter VALUES ('os', 'FreeBSD', 0);
INSERT INTO #___counter VALUES ('os', 'SunOS', 0);
INSERT INTO #___counter VALUES ('os', 'IRIX', 0);
INSERT INTO #___counter VALUES ('os', 'BeOS', 0);
INSERT INTO #___counter VALUES ('os', 'OS/2', 0);
INSERT INTO #___counter VALUES ('os', 'AIX', 0);
INSERT INTO #___counter VALUES ('os', 'Altro', 0);

# --------------------------------------------------------

# 
# 
# Struttura della tabella `#___main`
# 

CREATE TABLE #___main (
  main_module varchar(255) NOT NULL default ''
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___main`
# 

INSERT INTO #___main VALUES ('News');

# --------------------------------------------------------

# 
# Struttura della tabella `#___message`
# 

CREATE TABLE #___message (
  mid int(11) NOT NULL auto_increment,
  title varchar(100) NOT NULL default '',
  content text NOT NULL,
  date varchar(14) NOT NULL default '',
  expire int(7) NOT NULL default '0',
  active int(1) NOT NULL default '1',
  view int(1) NOT NULL default '1',
  mlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (mid),
  UNIQUE KEY mid (mid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___message`
# 
INSERT INTO #___message VALUES ('1', 'Contenuto Home Page', 'Grazie per aver
installato clean nuke. Contenuto in home page. PRova psadas dasdsadsa
<br><a href="admin.php">
CLICCA QUI PER ANDARE ALLA AMMINISTRAZIONE</a>
<br>
<a href="http://www.matteoiammarrone.com/cleanuke" target="_blank">SITO DI RIFERIMENTO(RELEASE E INFORMAZIONI)</a>
<br>
<a href="http://www.cleanuke.altervista.org" target="_blank">RISORSE (TEMI E DOWNLOADS)</a>
<br>
<a href="http://www.cleanuke.altervista.org/forum" target="_blank">FORUM DI SUPPORTO</a>
<br>
<a href="http://sourceforge.net/projects/cleanuke" target="_blank">CLEAN NUKE SU SOURCEFORGE.NET</a>
', '0', '0', '1', '1', '');

# --------------------------------------------------------

# 
# Struttura della tabella `#___modules`
# 

CREATE TABLE #___modules (
  mid int(10) NOT NULL auto_increment,
  title varchar(255) NOT NULL default '',
  custom_title varchar(255) NOT NULL default '',
  active int(1) NOT NULL default '0',
  view int(1) NOT NULL default '0',
  inmenu tinyint(1) NOT NULL default '1',
  mod_group int(10) default '0',
  admins varchar(255) NOT NULL default '',
  dockmenu varchar(50) NOT NULL default '',
  PRIMARY KEY  (mid),
  KEY mid (mid),
  KEY title (title),
  KEY custom_title (custom_title)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___modules`
# 

INSERT INTO #___modules VALUES (1, 'Feedback', 'Contatti', 1, 0, 1, 0, '', 'feedback.png');
INSERT INTO #___modules VALUES (2, 'News', 'News', 1, 0, 1, 0, '', 'page2prefer.png');
INSERT INTO #___modules VALUES (3, 'Empty', 'Empty', 0, 0, 0, 0, '', 'page1.png');
INSERT INTO #___modules VALUES (4, 'Photogallery', 'Photogallery', 0, 0, 1, 0, 'page4video.png', 'page2prefer.png');
INSERT INTO #___modules VALUES (5, 'Submit_News', 'Invia News', 0, 0, 1, 0, 'page1write.png', 'page2prefer.png');
INSERT INTO #___modules VALUES (6, 'Downloads', 'Downloads', 0, 0, 1, 0, '', 'download.png');

# --------------------------------------------------------

# 
# Struttura della tabella `#___pages`
# 

CREATE TABLE #___pages (
pid int ( 20 ) AUTO_INCREMENT NOT NULL,
page_title varchar ( 50 ) NOT NULL,
page_content longtext NOT NULL,
meta_tags longtext NOT NULL,
active int ( 10 ) NOT NULL,
viewdown int ( 2 ) NOT NULL,
order_pid int ( 5 ) NOT NULL,
dockmenu varchar(50) NOT NULL,
INDEX ( pid )
);

# 
# Dump dei dati per la tabella `#___pages`
# 

INSERT INTO #___pages VALUES ('', 'Esempio', '
Ciao,
grazie per aver scelto CleaNuke - Phpnuke Pulito.
<br>
Questo cms  perfetto per creare un sito informativo,
questa  una pagina di esempio che puoi modificare o eliminare.
<br>
Per supporo tecnico visita il forum cliccando <a href="http://www.cleanuke.altervista.org/forum" target="_blank">qui</a>.
<br>
Grazie ancora.
Matteo.', '', '1', '0', '1', 'page1.png');


# --------------------------------------------------------

# 
# Struttura della tabella `#___queue`
# 

CREATE TABLE #___queue (
  qid smallint(5) unsigned NOT NULL auto_increment,
  uid mediumint(9) NOT NULL default '0',
  uname varchar(40) NOT NULL default '',
  subject varchar(100) NOT NULL default '',
  story text,
  storyext text NOT NULL,
  timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  topic varchar(20) NOT NULL default '',
  alanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (qid),
  KEY qid (qid),
  KEY uid (uid),
  KEY uname (uname)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___queue`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___quotes`
# 

CREATE TABLE #___quotes (
  qid int(10) unsigned NOT NULL auto_increment,
  quote text,
  PRIMARY KEY  (qid),
  KEY qid (qid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___quotes`
# 

INSERT INTO #___quotes VALUES (1, 'Nos morituri te salutamus - CBHS');

# --------------------------------------------------------

# 
# Struttura della tabella `#___referer`
# 

CREATE TABLE #___referer (
  rid int(11) NOT NULL auto_increment,
  url varchar(100) NOT NULL default '',
  PRIMARY KEY  (rid),
  KEY rid (rid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___referer`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___related`
# 

CREATE TABLE #___related (
  rid int(11) NOT NULL auto_increment,
  tid int(11) NOT NULL default '0',
  name varchar(30) NOT NULL default '',
  url varchar(200) NOT NULL default '',
  PRIMARY KEY  (rid),
  KEY rid (rid),
  KEY tid (tid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___related`
# 



# 
# Struttura della tabella `#___session`
# 

CREATE TABLE #___session (
  uname varchar(25) NOT NULL default '',
  time varchar(14) NOT NULL default '',
  host_addr varchar(48) NOT NULL default '',
  guest int(1) NOT NULL default '0',
  KEY time (time),
  KEY guest (guest)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___session`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___stats_date`
# 

CREATE TABLE #___stats_date (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  date tinyint(4) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___stats_date`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___stats_hour`
# 

CREATE TABLE #___stats_hour (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  date tinyint(4) NOT NULL default '0',
  hour tinyint(4) NOT NULL default '0',
  hits int(11) NOT NULL default '0'
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___stats_hour`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___stats_month`
# 

CREATE TABLE #___stats_month (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___stats_month`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___stats_year`
# 

CREATE TABLE #___stats_year (
  year smallint(6) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___stats_year`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___stories`
# 

CREATE TABLE #___stories (
  sid int(11) NOT NULL auto_increment,
  catid int(11) NOT NULL default '0',
  aid varchar(25) NOT NULL default '',
  title varchar(80) default NULL,
  time datetime default NULL,
  hometext text,
  bodytext text NOT NULL,
  comments int(11) default '0',
  counter mediumint(8) unsigned default NULL,
  topic int(3) NOT NULL default '1',
  informant varchar(25) NOT NULL default '',
  notes text NOT NULL,
  ihome int(1) NOT NULL default '0',
  alanguage varchar(30) NOT NULL default '',
  acomm int(1) NOT NULL default '0',
  haspoll int(1) NOT NULL default '0',
  pollID int(10) NOT NULL default '0',
  score int(10) NOT NULL default '0',
  ratings int(10) NOT NULL default '0',
  associated text NOT NULL,
  PRIMARY KEY  (sid),
  KEY sid (sid),
  KEY catid (catid),
  KEY counter (counter),
  KEY topic (topic)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___stories`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___stories_cat`
# 

CREATE TABLE #___stories_cat (
  catid int(11) NOT NULL auto_increment,
  title varchar(20) NOT NULL default '',
  counter int(11) NOT NULL default '0',
  PRIMARY KEY  (catid),
  KEY catid (catid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___stories_cat`
# 


# --------------------------------------------------------


# --------------------------------------------------------

# 
# Struttura della tabella `#___topics`
# 

CREATE TABLE #___topics (
  topicid int(3) NOT NULL auto_increment,
  topicname varchar(20) default NULL,
  topicimage varchar(20) default NULL,
  topictext varchar(40) default NULL,
  counter int(11) NOT NULL default '0',
  PRIMARY KEY  (topicid),
  KEY topicid (topicid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___topics`
# 

INSERT INTO #___topics VALUES (1, 'cleanuke', 'cleanuke.gif', 'Clean Nuke', 0);



CREATE TABLE #___feedbackplus (
  fid int(3) NOT NULL auto_increment,
  name varchar(30) NOT NULL default '',
  noteheader text NOT NULL,
  notefooter text NOT NULL,
  image varchar(120) NOT NULL default '',
  title varchar(120) NOT NULL default '',
  rcontact text NOT NULL,
  tname varchar(120) NOT NULL default '',
  tmail varchar(120) NOT NULL default '',
  tmessage varchar(120) NOT NULL default '',
  textra varchar(120) NOT NULL default '',
  sendform varchar(120) NOT NULL default '',
  typecamp varchar(20) NOT NULL default '',
  PRIMARY KEY  (fid)
) TYPE=MyISAM;



INSERT INTO #___feedbackplus VALUES ( '1', 'Email dal sito', 'Tramite questa pagina e i campi sottostanti puoi contattarci, puoi inviarci le tue opinioni sul sito: pareri,consigli,critiche..ecc', '', 'images/admin/feedback.png', 'Contatti', 'Il tuo messaggio  stato inviato con successo, se necessario verrai ricontattato.<br>\r\nBuona navigazione nelle nostre pagine.', 'Nome', 'Indirizzo Email', 'Corpo Messaggio', '', '', '');


CREATE TABLE #___images 
(
image_id int ( 20 ) AUTO_INCREMENT NOT NULL,
file varchar ( 60 ) NOT NULL,
tag longtext NOT NULL,
data varchar ( 70 ) NOT NULL,
INDEX ( image_id )
);

CREATE TABLE #___images_config 
(
perpage varchar ( 30 ) NOT NULL,
img_height varchar ( 30 ) NOT NULL,
img_width varchar ( 30 ) NOT NULL,
cols varchar ( 30 ) NOT NULL
);

INSERT INTO #___images_config VALUES ('10', '150', '150', '2');
INSERT INTO #___images VALUES ('', 'images/photos/bb5.gif', '', '14 Settembre 2012');
INSERT INTO #___images VALUES ('', 'images/photos/benvenuto.png', '', '14 Settembre 2012');    

# 
# Struttura della tabella `#___downloads_categories`
# 

CREATE TABLE #___downloads_categories (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  cdescription text NOT NULL,
  parentid int(11) NOT NULL default '0',
  PRIMARY KEY  (cid),
  KEY cid (cid),
  KEY title (title)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___downloads_categories`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___downloads_downloads`
# 

CREATE TABLE #___downloads_downloads (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  date datetime default NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  hits int(11) NOT NULL default '0',
  submitter varchar(60) NOT NULL default '',
  downloadratingsummary double(6,4) NOT NULL default '0.0000',
  totalvotes int(11) NOT NULL default '0',
  totalcomments int(11) NOT NULL default '0',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (lid),
  KEY lid (lid),
  KEY cid (cid),
  KEY sid (sid),
  KEY title (title)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___downloads_downloads`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___downloads_editorials`
# 

CREATE TABLE #___downloads_editorials (
  downloadid int(11) NOT NULL default '0',
  adminid varchar(60) NOT NULL default '',
  editorialtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  editorialtext text NOT NULL,
  editorialtitle varchar(100) NOT NULL default '',
  PRIMARY KEY  (downloadid),
  KEY downloadid (downloadid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___downloads_editorials`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___downloads_modrequest`
# 

CREATE TABLE #___downloads_modrequest (
  requestid int(11) NOT NULL auto_increment,
  lid int(11) NOT NULL default '0',
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  modifysubmitter varchar(60) NOT NULL default '',
  brokendownload int(3) NOT NULL default '0',
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (requestid),
  UNIQUE KEY requestid (requestid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___downloads_modrequest`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___downloads_newdownload`
# 

CREATE TABLE #___downloads_newdownload (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  submitter varchar(60) NOT NULL default '',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (lid),
  KEY lid (lid),
  KEY cid (cid),
  KEY sid (sid),
  KEY title (title)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___downloads_newdownload`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___downloads_votedata`
# 

CREATE TABLE #___downloads_votedata (
  ratingdbid int(11) NOT NULL auto_increment,
  ratinglid int(11) NOT NULL default '0',
  ratinguser varchar(60) NOT NULL default '',
  rating int(11) NOT NULL default '0',
  ratinghostname varchar(60) NOT NULL default '',
  ratingcomments text NOT NULL,
  ratingtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (ratingdbid),
  KEY ratingdbid (ratingdbid)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___downloads_votedata`
# 


# 
# Struttura della tabella `#___poll_check`
# 

CREATE TABLE #___poll_check (
  ip varchar(20) NOT NULL default '',
  time varchar(14) NOT NULL default '',
  pollID int(10) NOT NULL default '0'
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___poll_check`
# 


# --------------------------------------------------------

# 
# Struttura della tabella `#___poll_data`
# 

CREATE TABLE #___poll_data (
  pollID int(11) NOT NULL default '0',
  optionText char(50) NOT NULL default '',
  optionCount int(11) NOT NULL default '0',
  voteID int(11) NOT NULL default '0'
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___poll_data`
# 

INSERT INTO #___poll_data VALUES (1, 'Ummmm, niente male', 0, 1);
INSERT INTO #___poll_data VALUES (1, 'Bello', 0, 2);
INSERT INTO #___poll_data VALUES (1, 'Orribile', 0, 3);
INSERT INTO #___poll_data VALUES (1, 'Il migliore!', 0, 4);
INSERT INTO #___poll_data VALUES (1, 'Discreto', 0, 5);
INSERT INTO #___poll_data VALUES (1, '', 0, 6);
INSERT INTO #___poll_data VALUES (1, '', 0, 7);
INSERT INTO #___poll_data VALUES (1, '', 0, 8);
INSERT INTO #___poll_data VALUES (1, '', 0, 9);
INSERT INTO #___poll_data VALUES (1, '', 0, 10);
INSERT INTO #___poll_data VALUES (1, '', 0, 11);
INSERT INTO #___poll_data VALUES (1, '', 0, 12);

# --------------------------------------------------------

# 
# Struttura della tabella `#___poll_desc`
# 

CREATE TABLE #___poll_desc (
  pollID int(11) NOT NULL auto_increment,
  pollTitle varchar(100) NOT NULL default '',
  timeStamp int(11) NOT NULL default '0',
  voters mediumint(9) NOT NULL default '0',
  planguage varchar(30) NOT NULL default '',
  artid int(10) NOT NULL default '0',
  PRIMARY KEY  (pollID),
  KEY pollID (pollID)
) TYPE=MyISAM;

# 
# Dump dei dati per la tabella `#___poll_desc`
# 

INSERT INTO #___poll_desc VALUES (1, 'Cosa pensi di questo sito?', 961405160, 0, 'italian', 0);

# --------------------------------------------------------
    