/*
 *************************************
 * Mappa Interattiva                 *
 * http://www.FlepStudio.org         *
 * © Author: Filippo Lughi           *
 * version 4.0                       *
 *************************************
 */
package
{
	import flash.display.MovieClip;
	import flash.display.Loader;
	import flash.events.Event;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.xml.*;
	import flash.geom.ColorTransform;
	
	public class LoadingXML extends XMLDocument
	{
		private var mia_root:MovieClip;
		
		public function LoadingXML(m:MovieClip)
		{
			mia_root=m;
			this.loadXML();
		}
		private function loadXML():void
		{
			var loader:URLLoader=new URLLoader();
			loader.addEventListener(Event.COMPLETE,completeHandler);
			
			// Cambia l'url del file XML 
			var request:URLRequest=new URLRequest('modules/Italy_Cartina/regioni.xml');
			try 
			{
				loader.load(request);
			} 
			catch(error:Error) 
			{
				trace('Impossibile caricare il documento.');
			}
		}
		private function completeHandler(event:Event):void
		{
			var loader:URLLoader=URLLoader(event.target);
			var result:XML=new XML(loader.data);
			var myXML:XMLDocument=new XMLDocument();
			myXML.ignoreWhite=true;
			myXML.parseXML(result.toXMLString());
			var node:XMLNode=myXML.firstChild;
			var n:int=int(node.childNodes.length);
			for(var i:int=0;i<n;i++)
			{
				var obj:Object=new Object;
				obj.nome=node.childNodes[i].attributes['nome'];
				var nn:int=int(node.childNodes[i].childNodes.length);
				var my_array:Array=new Array();
				for(var j:int=0;j<nn;j++)
				{
					var obj2:Object=new Object();
					obj2.nome=node.childNodes[i].childNodes[j].attributes['nome'];
					obj2.link=node.childNodes[i].childNodes[j].attributes['link'];
					my_array.push(obj2);
				}
				mia_root.citta_array.push(my_array);
				Mappa.info_array.push(obj);
			}
			mia_root.XmlCaricato();
		}
	}
}