<?php

/**************************************************************************/
/* Modulo Where - Modulo Dove Siamo per Accessible Portal.		  */
/* Permette di creare un blocco laterale con una mappa statica di google  */
/* accessibile e una pagina con i dati del sito e una immagine google     */
/* accessibile. Altamente configurabile da pannello di controllo. 	  */
/* (c) 2012 by l.apolito  - http://www.linuxap.it                         */
/**************************************************************************/
#=->  copyright variables

$module_name = basename(dirname(__FILE__));
$author_name = "Copyright &copy;  L. Apolito - linuxap.it";
$author_email = "";
$author_homepage = "http://www.linuxap.it";
$license = "GNU-GPL 2.0 - luglio 2012";
$module_infoname ="Where";
$module_version = "0,1";
$module_description = "Modulo Dove Siamo per Accessible Portal.<br/>Permette di creare un blocco laterale con una mappa statica di google accessibile e una pagina con i dati del sito e una immagine google statica accessibile. Altamente configurabile da pannello di controllo.
Aggiunta anche una funzione per poter creare una mappa statica in qualunque punto del CMS.
Piccole modifiche by Matteo Iammarrone per Clean Nuke 1.9.
";
$image_logo ="images/where.png"; // logo image in this path dim w=70 h=100
#=-> language variables

if ($lang=="italian"){
	define("_INFORMAZIONI","Informazioni Copyright");
	define("_MODULO","Modulo");
	define("_NOME","Nome Modulo");
	define("_VERSIONE","Versione Modulo");
	define("_DESCRIZIONE","Descrizione Modulo");
	define("_LICENZA","Licenza Modulo");
	define("_AUTORE","Nome Autore/i");
	define("_EMAIL","Email Autore/i");
	define("_HOMEP","Home Page Autore/i");
	define("_BACK","Chiudi");
}else{
	define("_INFORMAZIONI","Copyright Info ");
	define("_MODULO","Module");
	define("_NOME","Module Name");
	define("_VERSIONE","Module Version");
	define("_DESCRIZIONE","Module Description");
	define("_LICENZA","Module License");
	define("_AUTORE","Author/s Name");
	define("_EMAIL","Author/s Email");
	define("_HOMEP","Author/s Home Page");
	define("_BACK","Close");
}

// DO NOT TOUCH THE FOLLOWING COPYRIGHT CODE. YOU'RE JUST ALLOWED TO CHANGE YOUR "OWN"
// MODULE'S DATA (SEE ABOVE) SO THE SYSTEM CAN BE ABLE TO SHOW THE COPYRIGHT NOTICE
// FOR YOUR MODULE/ADDON. PLAY FAIR WITH THE PEOPLE THAT WORKED CODING WHAT YOU USE!!
// YOU ARE NOT ALLOWED TO MODIFY ANYTHING ELSE THAN THE ABOVE REQUIRED INFORMATION.
// AND YOU ARE NOT ALLOWED TO DELETE THIS FILE NOR TO CHANGE ANYTHING FROM THIS FILE IF
// YOU'RE NOT THIS MODULE'S AUTHOR.

function show_copyright() {
    global $module_name, $author_name, $author_email, $author_homepage, $license, $module_version, $module_description, $stylesheet, $module_infoname, $image_logo, $siteid, $multiext;

    if ($author_name == "") { $author_name = "N/A"; }
    if ($author_email == "") { $author_email = "N/A"; }
    if ($author_homepage == "") { $author_homepage = "N/A"; }
    if ($license == "") { $license = "N/A"; }
    if ($module_version == "") { $module_version = "N/A"; }
    if ($module_description == "") { $module_description = "N/A"; }
	if ($module_infoname == "") { $module_infoname = "N/A"; }
   	$module_name = preg_replace("/_/", " ", $module_name);

  if ( defined('NUKE_FILE')){ include("header.php");
	$image="images/arrow.gif";
	$url="modules.php?name=$module_name$multiext";
	$logo="modules/$module_name/images/$image_logo";
	OpenTable();
  }else{ 
	$image="../../images/arrow.gif";
	$url="../../modules.php?name=$module_name$multiext";
 	$logo="./$image_logo";

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it" lang="it" dir="ltr">';
  	echo "<head>\n";
  	echo '	<title>'._INFORMAZIONI.' '._MODULO.'</title>'."\n";
	echo '	<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1" />
		<meta http-equiv="expires" content="0"/>
		<meta name="resource-type" content="document"/>
		<meta name="distribution" content="global"/>
		<meta name="author" content="Accessible Portal"/>
		<meta name="copyright" content="Copyright (c) by Accessible Portal"/>
		<meta name="keywords" content="Portale Accessibile"/>
		<meta name="description" content="CMS accessibile"/>
		<meta name="robots" content="index, follow"/>
		<meta name="revisit-after" content="1 days"/>
		<meta name="rating" content="general"/>
		<meta name="generator" content="Modulo Where - by l.apolito - http://www.linuxap.it - Accessible Portal Copyright (c) 2010" />';

  	echo '</head>';
	echo "<body style=\"background:#F6F6EB ;\">";
  }

    echo "<div style=\"line-height:1.2em;\">";
	#=-> logo
	if ($image_logo != "") echo"<img src=\"$logo\" alt=\"Logo\" title=\"Logo\" style=\"height:100px;
		width:100px;float:right;margin-left: 10px; margin-right: 10px; margin-bottom: 5px; padding: 0px; vertical-align: top;  \" />";

	echo "<strong>"._INFORMAZIONI." &copy; "._MODULO."</strong><br />"
	.""._MODULO." $module_infoname by <a href=\"http://www.linuxap.it\" title=\"LinuxAp\">Linuxap.it</a> per 

 <a href=\"http://www.accessibleportal.com\" title=\"Accessible Portal\">Accessible Portal</a><br /><br />"
	."<img src=\"$image\" alt=\""._NOME."\" title=\""._VERSIONE."\" style=\"border:0px; \"/>&nbsp;<strong>"._NOME.":</strong> $module_infoname <br />"
	."<img src=\"$image\" alt=\""._VERSIONE."\" title=\""._VERSIONE."\" style=\"border:0px; \"/>&nbsp;<strong>"._VERSIONE.":</strong> $module_version<br />"
	."<img src=\"$image\" alt=\""._DESCRIZIONE."\" title=\""._DESCRIZIONE."\" style=\"border:0px; \"/>&nbsp;<strong>"._DESCRIZIONE.":</strong> $module_description<br />"
	."<img src=\"$image\" alt=\""._LICENZA."\" title=\""._LICENZA."\" style=\"border:0px; \"/>&nbsp;<strong>"._LICENZA.":</strong> $license<br />"
	."<img src=\"$image\" alt=\""._AUTORE."\" title=\""._AUTORE."\" style=\"border:0px; \"/>&nbsp;<strong>"._AUTORE.":</strong> $author_name<br />"
	."<img src=\"$image\" alt=\""._EMAIL."\" title=\""._EMAIL."\" style=\"border:0px; \"/>&nbsp;<strong>"._EMAIL.":</strong> $author_email<br /><br />"
	."[ <a href=\"$author_homepage\" target='_blank'>"._HOMEP."</a> ] - [ <a href=\"javascript:window.close();\">"._BACK."</a> ]" 
	."</div>";

  if ( defined('NUKE_FILE')){ CloseTable(); include ("footer.php"); }else{ echo "</body></html>";}	
 
}

show_copyright();

?>
