<?php

/**************************************************************************/
/* Modulo Where - Modulo Dove Siamo per Accessible Portal.		  */
/* Permette di creare un blocco laterale con una mappa statica di google  */
/* accessibile e una pagina con i dati del sito e una immagine google     */
/* accessibile. Altamente configurabile da pannello di controllo. 	  */
/* (c) 2012 by l.apolito  - http://www.linuxap.it                         */
/**************************************************************************/

if ( !defined('MODULE_FILE') )
{
	die ("Access Denied");
}

if($op=="get_map") get_map();
elseif($op=="get_map_new") get_map_new(); // versiobe successiva
if($op=="qrcode") qrcode();

# per accessible portal con tabella db
function get_map(){
# by linuxap.it
#accessible portal diretto
global $db,$prefix,$admin,$siteid,$map;
global $url, $chs,$chld;
$result=$db->sql_query("SELECT address,city,prov,tel,email,cell,fax,ditta,referente,piva,cf,width,height,zoom,type,width_m,height_m,zoom_m,type_m from ".$prefix."_maps_static where siteid='$siteid'");
list($address_db,$city,$prov,$tel,$email,$cell,$fax,$ditta,$referente,$piva,$cf,$w,$h,$z,$t,$w_m,$h_m,$z_m,$t_m)= $db->sql_fetchrow($result);
	$address_map="$address_db,$city,$prov";

	
	# altre dichiarate  
	$color="green"; $size="mid"; $label=""; // marker
	$format="jpg"; $l="it"; $scale=1; $r="it"; 

	$address=str_replace(" ","+",$address_map);

# ritorna le coordinate dell'indirizzo immesso
    	$url = 'http://maps.google.com/maps/geo?q='.$address.'&output=csv&oe=utf8&sensor=false';
    	$result = false;
   
    	if($result = file_get_contents($url)) {
        	$coord = array();
        	$matches=explode(",",$result);        
        	$coord['lat'] = $matches[2];
        	$coord['long'] = $matches[3];
        }
	       
       $mappa="https://maps.google.com/maps/api/staticmap?center=$address";
       if($map=="blocco"){
       		$mappa .="&zoom=$z&language=$l&maptype=$t&format=$format&size=".$w."x".$h."&scale=$scale&markers=color:$color|label:$label|size:$size|".$coord['lat'].",".$coord['long']."&sensor=true&region=$r";
	}elseif($map=="modulo"){
		$mappa .="&zoom=$z_m&language=$l&maptype=$t_m&format=$format&size=".$w_m."x".$h_m."&scale=$scale&markers=color:$color|label:$label|size:$size|".$coord['lat'].",".$coord['long']."&sensor=true&region=$r";
	
	}


   	$image = file_get_contents($mappa);
       	echo $image;
	
}


?>
