<?php

/************************************************************************/
/* PHP-NUKE: Advanced Content Management System                         */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Modifica per WL-Nuke di Weblord - http://www.weblord.it              */
/************************************************************************/

//MODIFICATO PER CLEAN NUKE 1.8 DA MATTEOIAMMA - WWW.MATTEOIAMMARRONE.COM
//COPYRIGHT 2011 - WWW.CLEANUKE.TK - WWW.MATTEOIAMMARRONE.COM

//Clean Nuke 1.9

if (stristr(htmlentities($_SERVER['PHP_SELF']), "header.php")) {
    Header("Location: index.php");
    die();
}

define('NUKE_HEADER', true);
require_once("mainfile.php");

//GT-NExtGEn 0.4/0.5 by Bill Murrin (Audioslaved) http://gt.audioslaved.com (c) 2004
//Modified by montego from http://montegoscripts.com for TegoNuke(tm) ShortLinks
global $tnsl_bUseShortLinks, $tnsl_bAutoTapBlocks, $tnsl_bDebugShortLinks, $tnsl_sGTFilePath;
if (defined('TNSL_USE_SHORTLINKS')) {
	$GLOBALS['tnsl_asGTFilePath'] = tnsl_fPageTapStart();
}



function head() {
    global $slogan, $sitename, $banners, $nukeurl, $Version_Num, $artpage, $topic, $hlpfile, $hr, $theme, $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $textcolor1, $textcolor2, $admin, $pagetitle, $meta_tags_page;
    $ThemeSel = get_theme();
    include_once("themes/$ThemeSel/theme.php");
    echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"'."\n".' "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">'."\n".'<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it" lang="it" dir="ltr">'."\n";
    echo "<html>\n";
    echo "<head>\n";
    include_once(INCLUDE_PATH.'includes/dynamic_titles.php');
    include("includes/meta.php");
    include("includes/javascript.php");
	echo '<!--[if IE]><script defer="defer" type="text/javascript" src="includes/iefix/embed_fix.js"></script><![endif]-->'."\n";
	echo '<!--[if lt IE 7]><script type="text/javascript" src="includes/iefix/pngfix.js"></script><![endif]-->'."\n";
    if (file_exists("themes/$ThemeSel/images/favicon.ico")) {
	echo "<link rel=\"shortcut icon\" href=\"themes/$ThemeSel/images/favicon.ico\" type=\"image/x-icon\">\n";
    }
    echo "<link rel=\"alternate\" type=\"application/rss+xml\" title=\"RSS\" href=\"backend.php\">\n";
    
    
        if (is_admin($admin)){
   echo ' <style type="text/css">

#dhtmltooltip{
position: absolute;
left: -300px;
width: 150px;
border: 1px solid black;
padding: 2px;
background-color: lightyellow;
visibility: hidden;
z-index: 100;
/*Remove below line to remove shadow. Below line should always appear last within this CSS*/
filter: progid:DXImageTransform.Microsoft.Shadow(color=gray,direction=135);
}

#dhtmlpointer{
position:absolute;
left: -300px;
z-index: 101;
visibility: hidden;
}

</style>';
    
    }
    
    echo "<link rel=\"stylesheet\" href=\"themes/$ThemeSel/style/style.css\" type=\"text/css\">\n\n\n";
    
    
    if (file_exists("includes/custom_files/custom_head.php")) {
	  include_once("includes/custom_files/custom_head.php");
    }
 
    
    if (function_exists("themehead")){
    echo themehead(); //CODICE EXTRA PER I TEMI(CSS AGGIUNTIVI, JAVASCRIPTS AGGIUNTIVI...ECC
    }
    
    if (file_exists("themes/$ThemeSel/style/pagination.css")){
    echo "<link rel=\"stylesheet\" href=\"themes/$ThemeSel/style/pagination.css\" type=\"text/css\">\n\n\n";
    } else {
       
     echo "
    <style type='text/css'>
    div.pagination {
	padding: 3px;
	margin: 3px;
    }
    div.pagination a { padding: 2px 5px; margin: 2px; border: solid 1px black; text-decoration: none; /* no underline */ }
    div.pagination a:hover, div.pagination a:active {
	border: 1px solid #000099;
	color: #000;
    }
    div.pagination span.current {
	padding: 2px 5px 2px 5px;
	margin: 2px;
		border: 1px solid #000099;
		font-weight: bold;
		background-color: #000099;
		color: #FFF;

	}
	div.pagination span.disabled { padding: 2px 5px; margin: 2px; border: solid 1px #eee; color: #ddd;  }
	</style>" ;
    }
    

   
   //METTI DUE SLASH(//) ALLA RIGA 89 E 96 PER USARE L'EFFETTO LIGHTBOX IN TUTTO IL SITO, PER POTERLO USARE 
   //BASTA INSERIRE L'ATTRIBUTO REL=LIGHTOBX AD UNA QUALASIASI IMMAGINE DEL SITO
   //ESEMPIO: <a href="immagine.jpg" rel="lightbox"><img src="immagine.jpg"></a>
   
    if ((is_active("Photogallery")) or (is_admin($admin))){
    
	echo '<link rel="stylesheet" href="modules/Photogallery/css/screen.css" type="text/css" media="screen" />';
	echo '<link rel="stylesheet" href="modules/Photogallery/css/lightbox.css" type="text/css" media="screen" />';

    }



    
    if (function_exists("themeheadforce")){
    echo themeheadforce(); //CODICE EXTRA PER I TEMI(CSS AGGIUNTIVI, JAVASCRIPTS AGGIUNTIVI...ECC
    }

    echo "\n\n\n</head>\n\n";
    if (file_exists("includes/custom_files/custom_header.php")) {
	  include_once("includes/custom_files/custom_header.php");
    }
   
    if  (function_exists("themeheader")){
    echo themeheader();
    }
    
    echo '<script type="text/javascript" src="includes/ckeditor/ckeditor.js" type="text/javascript"></script>';

    
}


online();
head();
include("includes/counter.php");
if(defined('HOME_FILE')) {
$row = $db->sql_fetchrow($db->sql_query("SELECT main_module from ".$prefix."_main"));
$name = $row['main_module'];


//DISPOSIZIONE HOME PAGE( BLOCCHI "CENTRO SU", PAGINA HOME E MODULO CARICATO

if (!empty($row['main_module'])){	
blocks("Center");
message_box();
 } else {
 message_box();
 blocks("Center");
 }
	
}

?>