<?php

/************************************************************************/
/* PHP-NUKE: Advanced Content Management System                         */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* PHP-Nuke Installer was based on Joomla Installer                     */
/* PHP-Nuke Installer improved for WL-Nuke by Weblord.it                */
/* Joomla is Copyright (c) by Open Source Matters                       */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

//CLEAN NUKE 1.9

// Set flag that this is a parent file
define( "_VALID_MOS", 1 );
define("CLEANUKE_INSTALL", true);

// Include common.php
require_once( 'common.php' );
require_once( './includes/database.php' );

$DBhostname = mosGetParam( $_POST, 'DBhostname', '' );
$DBuserName = mosGetParam( $_POST, 'DBuserName', '' );
$DBpassword = mosGetParam( $_POST, 'DBpassword', '' );
$DBname  	= mosGetParam( $_POST, 'DBname', '' );
$DBPrefix  	= mosGetParam( $_POST, 'DBPrefix', '' );
$bUseShortLinks  	= mosGetParam( $_POST, 'bUseShortLinks', '' );
$bAutoTapBlocks  	= mosGetParam( $_POST, 'bAutoTapBlocks', '' );
$bDebugShortLinks  	= mosGetParam( $_POST, 'bDebugShortLinks', '' );
$DynamicTitles  	= mosGetParam( $_POST, 'DynamicTitles', '' );
$NSIPbypass  	= mosGetParam( $_POST, 'NSIPbypass', '' );
$nuke_editor  	= mosGetParam( $_POST, 'nuke_editor', '' );
$sitename  	= mosGetParam( $_POST, 'sitename', '' );
$adminName = mosGetParam( $_POST, 'adminName', '');
$adminEmail = mosGetParam( $_POST, 'adminEmail', '');
$CreateUSer = intval( mosGetParam( $_POST, 'CreateUSer', '' ) );
$siteUrl  	= mosGetParam( $_POST, 'siteUrl', '' );
$absolutePath = mosGetParam( $_POST, 'absolutePath', '' );
$adminPassword = mosGetParam( $_POST, 'adminPassword', '');


$configArray['sitename'] = trim( mosGetParam( $_POST, 'sitename', '' ) );

$database = null;

$errors = array();


if (empty($DBcreated)) {
	if (!$DBhostname || !$DBuserName || !$DBname) {
		db_err ("stepBack3","".INSTALL_DBERROR.".");
	}

	if($DBPrefix == '') {
		db_err ('stepBack',''.INSTALL_DBPREFIXERROR.'.');
	}
	
	$database = new database( $DBhostname, $DBuserName, $DBpassword, '', '', false );
	$test = $database->getErrorMsg();

	if (!$database->_resource) {
		db_err ('stepBack2',''.INSTALL_DBPASSERROR.'.');
	}

	// Does this code actually do anything???
	$configArray['DBhostname'] = $DBhostname;
	$configArray['DBuserName'] = $DBuserName;
	$configArray['DBpassword'] = $DBpassword;
	$configArray['DBname']	 = $DBname;
	$configArray['DBPrefix']	= $DBPrefix;
    $configArray['NSIPbypass']	= $NSIPbypass;


	$sql = "CREATE DATABASE $DBname";
	$database->setQuery( $sql );
	$database->query();
	$test = $database->getErrorNum();

	if ($test != 0 && $test != 1007) {
		db_err( 'stepBack', ''.INSTALL_DBERROR.'' . $database->getErrorMsg() );
	}

	// db is now new or existing, create the db object connector to do the serious work
	$database = new database( $DBhostname, $DBuserName, $DBpassword, $DBname, $DBPrefix );

if ($lang == "it"){
$file="cleanukeit.sql";
} else {
$file="cleanuke.sql";
}
	populate_db($database, $file);
	$DBcreated = 1;
}

function db_err($step, $alert) {
	global $DBhostname,$DBuserName,$DBpassword,$DBname;
	echo "<form name=\"$step\" method=\"post\" action=\"install1.php\">
	<input type=\"hidden\" name=\"DBhostname\" value=\"$DBhostname\">
	<input type=\"hidden\" name=\"DBuserName\" value=\"$DBuserName\">
	<input type=\"hidden\" name=\"DBpassword\" value=\"$DBpassword\">
	<input type=\"hidden\" name=\"DBname\" value=\"$DBname\">
	<input type=\"hidden\" name=\"DBPrefix\" value=\"$DBPrefix\">
	</form>\n";
	//echo "<script>alert(\"$alert\"); window.history.go(-1);</script>";
	echo "<script>alert(\"$alert\"); document.location.href='install1.php';</script>";  
	exit();
}

/**
 * @param object
 * @param string File name
 */
function populate_db( &$database, $sqlfile) {
	global $errors;

	$mqr = @get_magic_quotes_runtime();
	@set_magic_quotes_runtime(0);
	$query = fread( fopen( 'sql/' . $sqlfile, 'r' ), filesize( 'sql/' . $sqlfile ) );
	@set_magic_quotes_runtime($mqr);
	$pieces  = split_sql($query);

	for ($i=0; $i<count($pieces); $i++) {
		$pieces[$i] = trim($pieces[$i]);
		if(!empty($pieces[$i]) && $pieces[$i] != "#") {
			$database->setQuery( $pieces[$i] );
			if (!$database->query()) {
				$errors[] = array ( $database->getErrorMsg(), $pieces[$i] );
			}
		}
	}
}

/**
 * @param string
 */
function split_sql($sql) {
	$sql = trim($sql);
	$sql = preg_replace("/\n#[^\n]*\n/", "\n", $sql);

	$buffer = array();
	$ret = array();
	$in_string = false;

	for($i=0; $i<strlen($sql)-1; $i++) {
		if($sql[$i] == ";" && !$in_string) {
			$ret[] = substr($sql, 0, $i);
			$sql = substr($sql, $i + 1);
			$i = 0;
		}

		if($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\") {
			$in_string = false;
		}
		elseif(!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset($buffer[0]) || $buffer[0] != "\\")) {
			$in_string = $sql[$i];
		}
		if(isset($buffer[1])) {
			$buffer[0] = $buffer[1];
		}
		$buffer[1] = $sql[$i];
	}

	if(!empty($sql)) {
		$ret[] = $sql;
	}
	return($ret);
}

$isErr = intval( count( $errors ) );




if ((trim($adminEmail== "")) || (preg_match("/[\w\.\-]+@\w+[\w\.\-]*?\.\w{1,4}/", $adminEmail )==false)) {
	echo "<form name=\"stepBack\" method=\"post\" action=\"install4.php\">
		<input type=\"hidden\" name=\"DBhostname\" value=\"$DBhostname\" />
		<input type=\"hidden\" name=\"DBuserName\" value=\"$DBuserName\" />
		<input type=\"hidden\" name=\"DBpassword\" value=\"$DBpassword\" />
		<input type=\"hidden\" name=\"DBname\" value=\"$DBname\" />
		<input type=\"hidden\" name=\"DBPrefix\" value=\"$DBPrefix\" />	
		<input type=\"hidden\" name=\"bUseShortLinks\" value=\"$bUseShortLinks\" />
		<input type=\"hidden\" name=\"bAutoTapBlocks\" value=\"$bAutoTapBlocks\" />
		<input type=\"hidden\" name=\"bDebugShortLinks\" value=\"$bDebugShortLinks\" />
		<input type=\"hidden\" name=\"DynamicTitles\" value=\"$DynamicTitles\" />	
		<input type=\"hidden\" name=\"NSIPbypass\" value=\"$NSIPbypass\" />
		<input type=\"hidden\" name=\"nuke_editor\" value=\"$nuke_editor\" />
		<input type=\"hidden\" name=\"DBcreated\" value=\"1\" />
		<input type=\"hidden\" name=\"sitename\" value=\"$sitename\" />
		<input type=\"hidden\" name=\"adminName\" value=\"$adminName\" />
		<input type=\"hidden\" name=\"adminEmail\" value=\"$adminEmail\" />
		<input type=\"hidden\" name=\"CreateUser\" value=\"$CreateUser\" />
		<input type=\"hidden\" name=\"siteUrl\" value=\"$siteUrl\" />
		<input type=\"hidden\" name=\"absolutePath\" value=\"$absolutePath\" />
		</form>";
	echo "<script>alert('".INSTALL_ADMINEMAILERROR.".'); document.stepBack.submit(); </script>";
	return;
}

if($DBhostname && $DBuserName && $DBname) {
	$configArray['DBhostname']	= $DBhostname;
	$configArray['DBuserName']	= $DBuserName;
	$configArray['DBpassword']	= $DBpassword;
	$configArray['DBname']	 	= $DBname;
	$configArray['DBPrefix']	= $DBPrefix;
} else {
	echo "<form name=\"stepBack\" method=\"post\" action=\"install4.php\">
		<input type=\"hidden\" name=\"DBhostname\" value=\"$DBhostname\" />
		<input type=\"hidden\" name=\"DBuserName\" value=\"$DBuserName\" />
		<input type=\"hidden\" name=\"DBpassword\" value=\"$DBpassword\" />
		<input type=\"hidden\" name=\"DBname\" value=\"$DBname\" />
		<input type=\"hidden\" name=\"DBPrefix\" value=\"$DBPrefix\" />
		<input type=\"hidden\" name=\"bUseShortLinks\" value=\"$bUseShortLinks\" />
		<input type=\"hidden\" name=\"bAutoTapBlocks\" value=\"$bAutoTapBlocks\" />
		<input type=\"hidden\" name=\"bDebugShortLinks\" value=\"$bDebugShortLinks\" />
		<input type=\"hidden\" name=\"DynamicTitles\" value=\"$DynamicTitles\" />
		<input type=\"hidden\" name=\"NSIPbypass\" value=\"$NSIPbypass\" />
		<input type=\"hidden\" name=\"nuke_editor\" value=\"$nuke_editor\" />
		<input type=\"hidden\" name=\"DBcreated\" value=\"1\" />
		<input type=\"hidden\" name=\"sitename\" value=\"$sitename\" />
		<input type=\"hidden\" name=\"adminName\" value=\"$adminName\" />
		<input type=\"hidden\" name=\"adminEmail\" value=\"$adminEmail\" />
		<input type=\"hidden\" name=\"CreateUser\" value=\"$CreateUser\" />
		<input type=\"hidden\" name=\"siteUrl\" value=\"$siteUrl\" />
		<input type=\"hidden\" name=\"absolutePath\" value=\"$absolutePath\" />
		</form>";

	echo "<script>alert('".INSTALL_DBERROR."'); document.stepBack.submit(); </script>";
	return;
}

if ($sitename) {
	if (!get_magic_quotes_gpc()) {
		$configArray['sitename'] = addslashes($sitename);
	} else {
		$configArray['sitename'] = $sitename;
	}
} else {
	echo "<form name=\"stepBack\" method=\"post\" action=\"install4.php\">
		<input type=\"hidden\" name=\"DBhostname\" value=\"$DBhostname\" />
		<input type=\"hidden\" name=\"DBuserName\" value=\"$DBuserName\" />
		<input type=\"hidden\" name=\"DBpassword\" value=\"$DBpassword\" />
		<input type=\"hidden\" name=\"DBname\" value=\"$DBname\" />
		<input type=\"hidden\" name=\"DBPrefix\" value=\"$DBPrefix\" />
		<input type=\"hidden\" name=\"bUseShortLinks\" value=\"$bUseShortLinks\" />
		<input type=\"hidden\" name=\"bAutoTapBlocks\" value=\"$bAutoTapBlocks\" />
		<input type=\"hidden\" name=\"bDebugShortLinks\" value=\"$bDebugShortLinks\" />
		<input type=\"hidden\" name=\"DynamicTitles\" value=\"$DynamicTitles\" />
		<input type=\"hidden\" name=\"NSIPbypass\" value=\"$NSIPbypass\" />
		<input type=\"hidden\" name=\"nuke_editor\" value=\"$nuke_editor\" />
		<input type=\"hidden\" name=\"DBcreated\" value=\"1\" />
		<input type=\"hidden\" name=\"sitename\" value=\"$sitename\" />
		<input type=\"hidden\" name=\"adminName\" value=\"$adminName\" />
		<input type=\"hidden\" name=\"adminEmail\" value=\"$adminEmail\" />
		<input type=\"hidden\" name=\"CreateUser\" value=\"$CreateUser\" />
		<input type=\"hidden\" name=\"siteUrl\" value=\"$siteUrl\" />
		<input type=\"hidden\" name=\"absolutePath\" value=\"$absolutePath\" />
		</form>";

	echo "<script>alert('".INSTALL_SITENAMERROR."'); document.stepBack2.submit();</script>";
	return;
}

if (file_exists( '../config.php' )) {
	$canWrite = is_writable( '../config.php' );
} else {
	$canWrite = is_writable( '..' );
}

if ($siteUrl) {
	$configArray['siteUrl']=$siteUrl;
	// Fix for Windows
	$absolutePath= str_replace("\\\\","/", $absolutePath);
	$configArray['absolutePath']=$absolutePath;

$nsconfig= $configArray['NSIPbypass'];

$config = "<?php\n";
$config .= "\n";
$config .= "######################################################################\n";
$config .= "# PHP-NUKE: Advanced Content Management System\n";
$config .= "# ============================================\n";
$config .= "#\n";
$config .= "# Copyright (c) 2002 by Francisco Burzi (fbc@mandrakesoft.com)\n";
$config .= "# http://phpnuke.org\n";
$config .= "#\n";
$config .= "# This module is to configure the main options for your site\n";
$config .= "#\n";
$config .= "# This program is free software. You can redistribute it and/or modify\n";
$config .= "# it under the terms of the GNU General Public License as published by\n";
$config .= "# the Free Software Foundation; either version 2 of the License.\n";
$config .= "//CLEAN NUKE 1.8 BY MATTEO IAMMARRONE(MATTEOIAMMA) - WWW.MATTEOIAMMARRONE.COM - WWW.CLEANUKE.IT - COPYRIGHT 2011";
$config .= "######################################################################\n";
$config .= "\n";
$config .= "if (stristr(htmlentities(\$_SERVER['PHP_SELF']), \"config.php\")) {\n";
$config .= "	Header(\"Location: index.php\");\n";
$config .= "	die();\n";
$config .= "}\n";
$config .= "\n";
$config .= "######################################################################\n";
$config .= "# Database & System Config\n";
$config .= "#\n";
$config .= "# dbhost:       SQL Database Hostname\n";
$config .= "# dbuname:      SQL Username\n";
$config .= "# dbpass:       SQL Password\n";
$config .= "# dbname:       SQL Database Name\n";
$config .= "# \$prefix:      Your Database table's prefix\n";
$config .= "# \$user_prefix: Your Users' Database table's prefix (To share it)\n";
$config .= "# \$dbtype:      Your Database Server type. Supported servers are:\n";
$config .= "#               MySQL, mysql4, postgres, mssql, oracle, msaccess,\n";
$config .= "#               db2 and mssql-odbc\n";
$config .= "#               Be sure to write it exactly as above, case SeNsItIvE!\n";
$config .= "# \$sitekey:	Security Key. CHANGE it to whatever you want, as long\n";
$config .= "#               as you want. Just don't use quotes.\n";
$config .= "# \$gfx_chk:	Set the graphic security code on every login screen,\n";
$config .= "#		You need to have GD extension installed:\n";
$config .= "#		0: No check\n";
$config .= "#		1: Administrators login only\n";
$config .= "#		2: Users login only\n";
$config .= "#		3: New users registration only\n";
$config .= "#		4: Both, users login and new users registration only\n";
$config .= "#		5: Administrators and users login only\n";
$config .= "#		6: Administrators and new users registration only\n";
$config .= "#		7: Everywhere on all login options (Admins and Users)\n";
$config .= "#		NOTE: If you aren't sure set this value to 0\n";
$config .= "# \$subscription_url: If you manage subscriptions on your site, you\n";
$config .= "#                    must write here the url of the subscription\n";
$config .= "#                    information/renewal page. This will send by\n";
$config .= "#                    email if set.\n";
$config .= "# \$admin_file: Administration panel filename. \"admin\" by default for\n";
$config .= "#		   \"admin.php\". To improve security please rename the file\n";
$config .= "#              \"admin.php\" and change the \$admin_file value to the\n";
$config .= "#              new filename (without the extension .php)\n";
$config .= "# \$tipath:          Path to where the topic images are stored.\n";
$config .= "# \$display_errors:  Debug control to see PHP generated errors.\n";
$config .= "#                   false: Don't show errors\n";
$config .= "#                   true: See all errors ( No notices )\n";
$config .= "######################################################################\n";
$config .= "\n";
$config .= "\$dbhost = \"{$configArray['DBhostname']}\";\n";
$config .= "\$dbuname = \"{$configArray['DBuserName']}\";\n";
$config .= "\$dbpass = \"{$configArray['DBpassword']}\";\n";
$config .= "\$dbname = \"{$configArray['DBname']}\";\n";
$config .= "\$prefix = \"{$configArray['DBPrefix']}\";\n";
$config .= "\$user_prefix = \"{$configArray['DBPrefix']}\";\n";
$config .= "\$dbtype = \"MySQL\";\n";
$skey = mosMakePassword(40);
$config .= "\$sitekey = \"$skey\";\n";
$config .= "\$gfx_chk = 0;\n";
$config .= "\$admin_file = \"admin\";\n";
$config .= "\$tipath = \"images/topics/\";\n";
$config .= "\$display_errors = true;\n";
$config .= "\$bypassNukeSentinelInvalidIPCheck =  $nsconfig;\n";
$config .= "\$tnsl_bUseShortLinks = true;\n";
$config .= "\$tnsl_bAutoTapBlocks = true;\n";
$config .= "\$tnsl_bDebugShortLinks = true;\n";
$config .= "\n";
$config .= "/*********************************************************************/\n";
$config .= "/* You finished to configure the Database. Now you can change all    */\n";
$config .= "/* you want in the Administration Section.   To enter just launch    */\n";
$config .= "/* you web browser pointing to http://yourdomain.com/admin.php       */\n";
$config .= "/*                                                                   */\n";
$config .= "/* Remeber to go to Settings section where you can configure your    */\n";
$config .= "/* new site. In that menu you can change all you need to change.     */\n";
$config .= "/*                                                                   */\n";
$config .= "/* Congratulations! now you have an automated news portal!           */\n";
$config .= "/* Thanks for choose PHP-Nuke: The Future of the Web                 */\n";
$config .= "/*********************************************************************/\n";
$config .= "\n";
$config .= "// DO NOT TOUCH ANYTHING BELOW THIS LINE UNTIL YOU KNOW WHAT YOU'RE DOING\n";
$config .= "\n";
$config .= "\$reasons = array(\"As Is\",\"Offtopic\",\"Flamebait\",\"Troll\",\"Redundant\",\"Insighful\",\"Interesting\",\"Informative\",\"Funny\",\"Overrated\",\"Underrated\");\n";
$config .= "\$badreasons = 4;\n";
$config .= "\$advanced_editor = $nuke_editor;\n";
$config .= "\$AllowableHTML = array(\n";
$config .= "	'a' => array('href' => 1, 'target' => 1, 'title' => array('minlen' => 4, 'maxlen' => 120)),\n";
$config .= "	'b' => array(),\n";
$config .= "	'blockquote' => array(),\n";
$config .= "	'br' => array(),\n";
$config .= "	'center' => array(),\n";
$config .= "	'div' => array('align' => 1),\n";
$config .= "	'em' => array(),\n";
$config .= "	'embed' => array('src' => 1, 'width' => 1, 'height' => 1, 'wmode' => 1, 'type' => 1),\n";
$config .= "	'font' => array('face' => 1, 'style' => 1, 'color' => 1, 'size' => array('minval' => 1, 'maxval' => 7)),\n";
$config .= "	'h1'=>array(),\n";
$config .= "	'h2'=>array(),\n";
$config .= "	'h3'=>array(),\n";
$config .= "	'h4'=>array(),\n";
$config .= "	'h5'=>array(),\n";
$config .= "	'h6'=>array(),\n";
$config .= "	'hr' => array(),\n";
$config .= "	'i' => array(),\n";
$config .= "	'img' => array('alt' => 1, 'src' => 1, 'hspace' => 1, 'vspace' => 1, 'width' => 1, 'height' => 1, 'border' => 1, 'align' => 1),\n";
$config .= "	'li' => array(),\n";
$config .= "	'object' => array('width' => 1, 'height' => 1),\n";
$config .= "	'ol' => array(),\n";
$config .= "	'p' => array('align' => 1),\n";
$config .= "	'param' => array('name' => 1, 'value' => 1),\n";
$config .= "	'pre' => array('align' => 1),\n";
$config .= "	'span' =>array('class' => 1, 'style' => array('font-family' => 1, 'color' => 1)),\n";
$config .= "	'strong' => array(),\n";
$config .= "	'strike'=>array(),\n";
$config .= "	'sub'=>array(),\n";
$config .= "	'sup'=>array(),\n";
$config .= "	'table' => array('align' => 1, 'border' => 1, 'cell' => 1, 'width' => 1, 'cellspacing' => 1, 'cellpadding' => 1),\n";
$config .= "	'td' => array('align' => 1, 'width' => 1, 'valign' => 1, 'height' => 1, 'rowspan' => 1, 'colspan' => 1, 'bgcolor' =>1 ),\n";
$config .= "	'tr' => array('align' => 1),\n";
$config .= "	'tt'=>array(),\n";
$config .= "	'u' => array(),\n";
$config .= "	'ul' => array(),\n";
$config .= ");\n";
$config .= "\$CensorList = array(\"fuck\",\"cunt\",\"fucker\",\"fucking\",\"pussy\",\"cock\",\"c0ck\",\"cum\",\"twat\",\"clit\",\"bitch\",\"fuk\",\"fuking\",\"motherfucker\");\n";
$config .= "\n";
$config .= "// ENGINE: PHPNUKE/WL NUKE 1.1 - WWW.WEBLORD.IT - WWW.PHPNUKE.ORG - CLEAN NUKE 1.9 BY MATTEOIAMMA\n";
$config .= "// WWW.CLEANUKE.TK - WWW.MATTEOIAMMARRONE.COM/CLEANUKE\n";
$config .= "\n";
$config .= "?>\n";

	if ($canWrite && ($fp = fopen("../config.php", "w"))) {
		fputs( $fp, $config, strlen( $config ) );
		fclose( $fp );
	} else {
		$canWrite = false;
	}

	$database = new database( $DBhostname, $DBuserName, $DBpassword, $DBname );
	$nullDate = $database->getNullDate();

	// create the admin user
	$cryptpass = md5( $adminPassword );
	$query = "INSERT INTO {$configArray['DBPrefix']}_authors VALUES ('$adminName', 'God', '$siteUrl', '$adminEmail', '$cryptpass', 0, 1, '')";
	$database->setQuery( $query );
	$database->query();
	
	


	

	// touch config table
	$date = date("F Y");
	$query = "UPDATE {$configArray['DBPrefix']}_config SET sitename='$sitename', nukeurl='$siteUrl', startdate='$date', adminmail='$adminEmail', backend_title='$sitename', notify_email='$adminEmail'";
	$database->setQuery( $query );
	$database->query();

} else {
?>
	<form action="install3.php" method="post" name="stepBack3" id="stepBack3">
	  <input type="hidden" name="DBhostname" value="<?php echo $DBhostname;?>" />
	  <input type="hidden" name="DBusername" value="<?php echo $DBuserName;?>" />
	  <input type="hidden" name="DBpassword" value="<?php echo $DBpassword;?>" />
	  <input type="hidden" name="DBname" value="<?php echo $DBname;?>" />
	  <input type="hidden" name="DBcreated" value="1" />
	  <input type="hidden" name="sitename" value="<?php echo $sitename;?>" />
	  <input type="hidden" name="adminName" value="$adminName" />
	  <input type="hidden" name="adminEmail" value="$adminEmail" />
	  <input type="hidden" name="CreateUSer" value="$CreateUSer" />
	  <input type="hidden" name="siteUrl" value="$siteUrl" />
	  <input type="hidden" name="absolutePath" value="$absolutePath" />
	</form>
<?php echo "	<script>alert('".INSTALL_SITEURL."'); document.stepBack3.submit();</script>";

}
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Cleanuke - Installer</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" href="install.css" type="text/css" />
<?php echo headinstall(); ?>
</head>
<body>

<?php echo header_install(); ?>
<div id="ctr" align="center">
<div class="install">
<table border="0"><tr valign="top"><td valign="top" width="150">
<div id="stepbar">
<?php echo menu_install(4); ?>
</div>
</td><td width="500" valign="top">
		<div id="right">
			<div id="step"><?php echo INSTALL_MENUSTART3; ?></div>
			<div class="far-right">
			
			
				<input class="button" type="button" name="runSite" value="<?php echo INSTALL_GOSITE; ?>"
<?php
				if ($siteUrl) {
					echo "onClick=\"window.location.href='$siteUrl/index.php' \"";
				} else {
					echo "onClick=\"window.location.href='".$configArray['siteURL']."/index.php' \"";
				}
?>/>
				<input class="button" type="button" name="Admin" value="<?php echo INSTALL_GOADMINISTRATION; ?>"
<?php
				if ($siteUrl) {
					echo "onClick=\"window.location.href='$siteUrl/admin.php' \"";
				} else {
					echo "onClick=\"window.location.href='".$configArray['siteURL']."/admin.php' \"";
				}
?>/>

			
			</div>
			<div class="clr"></div>
			<h1><?php echo INSTALL_CONGRATULATION; ?></h1>
			<div class="install-text">
			<?php echo INSTALL_FINALTEXT1; ?>
			</div>
			<div class="install-form">
				<div class="form-block">
					<table width="100%">
						<tr><td class="error" align="center"><?php echo INSTALL_REMOVEFOLDER; ?>
									
										</td></tr>
						<tr><td align="center"><h5> <?php echo INSTALL_ADMINISTRATIONDETAIL; ?></h5></td></tr>
						<tr><td align="center" class="notice"><b>Username : <?php echo $adminName; ?></b></td></tr>
						<tr><td align="center" class="notice"><b>Password : <?php echo $adminPassword; ?></b></td></tr>
						<tr><td>&nbsp;</td></tr>
						<tr><td align="right">&nbsp;</td></tr>
<?php						if (!$canWrite) { ?>
						<tr>
							<td class="small">
							<font color="FF0000"><?php echo INSTALL_FINALTEXT2; ?>
							</td>
						</tr>
						<tr>
							<td align="center">
								<textarea rows="20" cols="60" name="configcode" onclick="javascript:this.form.configcode.focus();this.form.configcode.select();" ><?php echo htmlspecialchars( $config );?></textarea>
							</td>
						</tr>
<?php						} ?>
						<tr><td class="small"><?php /*echo $chmod_report*/; ?></td></tr>
					</table>
				</div>
			</div>
			<div id="break"></div>
		</div>
		<div class="clr"></div>
	</div>
	</form>
</div>
</td></tr></table>

<?php echo footer_install(); ?>

</body>
</html>