<?php

/************************************************************************/
/* PHP-NUKE: Advanced Content Management System                         */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Additional Security and Code Cleanup for Patched 3.1                 */
/* Commited by the Nuke Patched Development Team 2005                   */
/* chatserv, Evaders99, Quake                                           */
/* http://www.nukeresources.com - Download location                     */
/* http://www.nukefixes.com - Development location                      */
/* http://sourceforge.net/projects/nukepatched/ - CVS                   */
/************************************************************************/
/* Modifica per WL-Nuke di Weblord - http://www.weblord.it              */
/************************************************************************/
/************************************************************************/
/*               Modificato per Clean-Nuke by matteoiamma               */
/*                    www.matteoiammarrone.com                          */
/*                       www.cleanuke.tk                                */
/************************************************************************/
// WWW.MATTEOIAMMARRONE.COM/CLEANUKE - WWW.MATTEOIAMMARRONE.COM
//VERSIONE PHPNUKE: 7.6 (Francisco Burzi)
//VERSIONE WLNUKE: 1.1 ( Weblord Team - www.weblord.it)
//VERSIONE CLEAN NUKE: 1.9 ( Matteo Iammarrone)

// End the transaction
if(!defined('END_TRANSACTION')) {
  define('END_TRANSACTION', 2);
}

// Get php version
$phpver = phpversion();

// convert superglobals if php is lower then 4.1.0
if ($phpver < '4.1.0') {
  $_GET = $HTTP_GET_VARS;
  $_POST = $HTTP_POST_VARS;
  $_SERVER = $HTTP_SERVER_VARS;
  $_FILES = $HTTP_POST_FILES;
  $_ENV = $HTTP_ENV_VARS;
  if($_SERVER['REQUEST_METHOD'] == "POST") {
    $_REQUEST = $_POST;
  } elseif($_SERVER['REQUEST_METHOD'] == "GET") {
    $_REQUEST = $_GET;
  }
  if(isset($HTTP_COOKIE_VARS)) {
    $_COOKIE = $HTTP_COOKIE_VARS;
  }
  if(isset($HTTP_SESSION_VARS)) {
    $_SESSION = $HTTP_SESSION_VARS;
  }
}

// override old superglobals if php is higher then 4.1.0
if($phpver >= '4.1.0') {
  $HTTP_GET_VARS = $_GET;
  $HTTP_POST_VARS = $_POST;
  $HTTP_SERVER_VARS = $_SERVER;
  $HTTP_POST_FILES = $_FILES;
  $HTTP_ENV_VARS = $_ENV;
  $PHP_SELF = $_SERVER['PHP_SELF'];
  if(isset($_SESSION)) {
    $HTTP_SESSION_VARS = $_SESSION;
  }
  if(isset($_COOKIE)) {
    $HTTP_COOKIE_VARS= $_COOKIE;
  }
}

// After doing those superglobals we can now use one
// and if this file isnt being accessed directly
if (stristr(htmlentities($_SERVER['PHP_SELF']), "mainfile.php")) {
    header("Location: index.php");
    exit();
}

if (!function_exists("floatval")) {
    function floatval($inputval) {
        return (float)$inputval;
    }
}

if ($phpver >= '4.0.4pl1' && isset($_SERVER['HTTP_USER_AGENT']) && strstr($_SERVER['HTTP_USER_AGENT'],'compatible')) {
  if (extension_loaded('zlib')) {
    @ob_end_clean();
    ob_start('ob_gzhandler');
  }
} elseif ($phpver > '4.0' && isset($_SERVER['HTTP_ACCEPT_ENCODING']) && !empty($_SERVER['HTTP_ACCEPT_ENCODING'])) {
  if (strstr($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) {
    if (extension_loaded('zlib')) {
      $do_gzip_compress = true;
      ob_start(array('ob_gzhandler',5));
      ob_implicit_flush(0);
      if (preg_match("/MSIE/", $_SERVER['HTTP_USER_AGENT'])) {
      header('Content-Encoding: gzip');
      } 
    }
  }
}

if (!ini_get('register_globals')) {
  @import_request_variables("GPC", "");
}

// This block of code makes sure $admin and $user are COOKIES
 if ((isset($admin)) and ($admin <> $_COOKIE['admin'])){
  die("Illegal Operation");
}


// We want to use the function stripos,
// but thats only available since PHP5.
// So we cloned the function...
if(!function_exists('stripos')) {
  function stripos_clone($haystack, $needle, $offset=0) {
    $return = strpos(strtoupper($haystack), strtoupper($needle), $offset);
  if ($return === false) {
    return false;
    } else {
    return true;
    }
  }
} else {
// But when this is PHP5, we use the original function
  function stripos_clone($haystack, $needle, $offset=0) {
    $return = stripos($haystack, $needle, $offset=0);
  if ($return === false) {
    return false;
    } else {
    return true;
    }
  }
}

if(isset($admin) && $admin == $_COOKIE['admin'])
{
   $admin = base64_decode($admin);
   $admin = addslashes($admin);
   $admin = base64_encode($admin);
}

if(isset($user) && $user == $_COOKIE['user'])
{
   $user = base64_decode($user);
   $user = addslashes($user);
   $user = base64_encode($user);
}

// Die message for not allowed HTML tags
$htmltags = "<center><img src=\"images/logo.png\"><br><br><b>";
$htmltags .= "The html tags you attempted to use are not allowed</b><br><br>";
$htmltags .= "[ <a href=\"javascript:history.go(-1)\"><b>Go Back</b></a> ]</center>";

//if (!defined('ADMIN_FILE') && !file_exists('includes/nukesentinel.php')) {
// foreach ($_GET as $sec_key => $secvalue) {
// if((eregi("<[^>]*script*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*object*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*iframe*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*applet*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*meta*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*style*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*form*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*img*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*onmouseover *\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*body *\"?[^>]*", $secvalue)) ||
//  (eregi("\([^>]*\"?[^)]*\)", $secvalue)) ||
//  (eregi("\"", $secvalue)) ||
//  (eregi("forum_admin", $sec_key)) ||
//  (eregi("inside_mod", $sec_key)))
//  {
//   die ($htmltags);
//  }
//}

// foreach ($_POST as $secvalue) {
//  if ((eregi("<[^>]*iframe*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*object*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*applet*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*meta*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*onmouseover*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]script*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]*body*\"?[^>]*", $secvalue)) ||
//  (eregi("<[^>]style*\"?[^>]*", $secvalue))) {
//   die ($htmltags);
//  }
// }
//}

if (defined('INSIDE_MOD')) {
  define('INCLUDE_PATH', '../../');
} else {
  define('INCLUDE_PATH', './');
}

if (file_exists("config.php")){
@require_once(INCLUDE_PATH."config.php");
} else {
$dbname="";
}




if (empty($dbname)) {

Header("Location: install/index.php", 10);

   die ('<html>
   <head> <link rel="stylesheet" type="text/css" href="themes/Cleanuke-Revolution/style/style.css">
   <title>Installazione</title>
   </head>');
die ("<body>");
die ("<center><div id='menu'>");
die ("</div>");
die ("<table align=center cellpadding=5 cellspacing=2 border=0 class='content_class'  bgcolor=#b9e7ff><tr>");
die ("<td valign=top width=100%><font class=\"content\" color=\"black\">");
 die ("<br><br><center><img src=images/logo.png><br><br>");
    die ("Redirect all'installer......Se il redirect non avviene clicca <a href='install/index.php'>qui</a>...
    <br>
    Installer redirect......If redirect doesn't work click <a href='install/index.php'>here</a>..");
die ("</tr></table>");
die ("<div class='footer'>");
die ('<center><img src="themes/Cleanuke-Revolution/images/footer.png" width="725"/></center>');
die ("</div></center>");
die ("</body></html>");
} 


@require_once(INCLUDE_PATH."db/db.php");


/* FOLLOWING TWO LINES ARE DEPRECATED BUT ARE HERE FOR OLD MODULES COMPATIBILITY */
/* PLEASE START USING THE NEW SQL ABSTRACTION LAYER. SEE MODULES DOC FOR DETAILS */
@require_once(INCLUDE_PATH."includes/sql_layer.php");
$dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);

@require_once(INCLUDE_PATH."includes/ipban.php");
if (file_exists(INCLUDE_PATH."includes/custom_files/custom_mainfile.php")) {
  @include_once(INCLUDE_PATH."includes/custom_files/custom_mainfile.php");
}


// Error reporting, to be set in config.php
error_reporting(E_ALL^E_NOTICE);
if($display_errors) {
  @ini_set('display_errors', 1);
} else {
  @ini_set('display_errors', 0);
}

define('NUKE_FILE', true);
$dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
$result = $db->sql_query("SELECT * FROM ".$prefix."_config");
$row = $db->sql_fetchrow($result);
$sitename = stripslashes(check_html($row['sitename'], "nohtml"));
$nukeurl = check_html($row['nukeurl'], "nohtml");
$site_logo = check_html($row['site_logo'], "nohtml");
$slogan = stripslashes(check_html($row['slogan'], "nohtml"));
$startdate = check_html($row['startdate'], "nohtml");
$adminmail = check_html($row['adminmail'], "nohtml");
$anonpost = intval($row['anonpost']);
$Default_Theme = check_html($row['Default_Theme'], "nohtml");
$foot1 = stripslashes(check_html($row['foot1'], ""));
$foot2 = stripslashes(check_html($row['foot2'], ""));
$meta_tags = stripslashes(check_html($row['foot3'], ""));
$foot3='';
$commentlimit = intval($row['commentlimit']);
$anonymous = check_html($row['anonymous'], "nohtml");
$minpass = intval($row['minpass']);
$pollcomm = intval($row['pollcomm']);
$articlecomm = intval($row['articlecomm']);
$broadcast_msg = intval($row['broadcast_msg']);
$my_headlines = intval($row['my_headlines']);
$top = intval($row['top']);
$storyhome = intval($row['storyhome']);
$user_news = intval($row['user_news']);
$oldnum = intval($row['oldnum']);
$ultramode = intval($row['ultramode']);
$banners = intval($row['banners']);
$backend_title = stripslashes(check_html($row['backend_title'], "nohtml"));
$backend_language = check_html($row['backend_language'], "nohtml");
$language = check_html($row['language'], "nohtml");
$locale = check_html($row['locale'], "nohtml");
$notify = intval($row['notify']);
$notify_email = check_html($row['notify_email'], "nohtml");
$notify_subject = stripslashes(check_html($row['notify_subject'], "nohtml"));
$notify_message = stripslashes(check_html($row['notify_message'], "nohtml"));
$notify_from = check_html($row['notify_from'], "nohtml");
$moderate = intval($row['moderate']);
$admingraphic = intval($row['admingraphic']);
$httpref = intval($row['httpref']);
$httprefmax = intval($row['httprefmax']);
$CensorMode = intval($row['CensorMode']);
$CensorReplace = check_html($row['CensorReplace'], "nohtml");
$copyright = check_html($row['copyright'], "");
$Version_Num = stripslashes($row['Version_Num']);
$blocks_status = check_html($row['blocks_status'], "");
$domain = str_replace("http://", "", $nukeurl);
$mtime = microtime();
$mtime = explode(" ",$mtime);
$mtime = $mtime[1] + $mtime[0];
$start_time = $mtime;
$pagetitle = "";
$currentlang=$language;



function get_lang($module) {
   global $currentlang, $language;
   if ($module == "admin" AND $module != "Forums") {
      if (file_exists("admin/language/lang-".$currentlang.".php")) {
         include_once("admin/language/lang-".$currentlang.".php");
      } elseif (file_exists("admin/language/lang-".$language.".php")) {
         include_once("admin/language/lang-".$language.".php");
      }
   } else {
      if (file_exists("modules/$module/language/lang-".$currentlang.".php")) {
         include_once("modules/$module/language/lang-".$currentlang.".php");
      } elseif (file_exists("modules/$module/language/lang-".$language.".php")) {
         include_once("modules/$module/language/lang-".$language.".php");
      }
   }
}

function is_admin($admin) {
    static $adminSave; 
    if (!$admin) { return 0; }
    if (isset($adminSave)) return $adminSave;
    if (!is_array($admin)) {
        $admin = base64_decode($admin);
        $admin = addslashes($admin);
        $admin = explode(':', $admin);
    }
    $aid = $admin[0];
    $pwd = $admin[1];
    $aid = substr(addslashes($aid), 0, 25);
    if (!empty($aid) && !empty($pwd)) {
        global $prefix, $db;
        $sql = "SELECT pwd FROM ".$prefix."_authors WHERE aid='$aid'";
        $result = $db->sql_query($sql);
        $pass = $db->sql_fetchrow($result);
        $db->sql_freeresult($result);
        if ($pass[0] == $pwd && !empty($pass[0])) {
        	return $adminSave = 1;
        }
    }
    return $adminSave = 0;
}



if (!defined('ADMIN_FILE')) {
$postString = "";
foreach ($_POST as $postkey => $postvalue) {
    if ($postString > "") {
     $postString .= "&".$postkey."=".$postvalue;
    } else {
     $postString .= $postkey."=".$postvalue;
    }
}
str_replace("%09", "%20", $postString);
$postString_64 = base64_decode($postString);
if ((!isset($admin) OR (isset($admin) AND !is_admin($admin))) AND (stristr($postString,'%20union%20')) OR (stristr($postString,'*/union/*')) OR (stristr($postString,' union ')) OR (stristr($postString_64,'%20union%20')) OR (stristr($postString_64,'*/union/*')) OR (stristr($postString_64,' union ')) OR (stristr($postString_64,'+union+')) OR (stristr($postString,'http-equiv')) OR (stristr($postString_64,'http-equiv')) OR (stristr($postString,'javascript:')) OR (stristr($postString_64,'javascript:')) OR (stristr($postString,'document.cookie')) OR (stristr($postString_64,'document.cookie')) OR (stristr($postString,'alert(')) OR (stristr($postString_64,'alert(')) OR (stristr($postString,'onmouseover=')) OR (stristr($postString_64,'onmouseover=')) OR (stristr($postString,'document.location')) OR (stristr($postString_64,'document.location')) OR (stristr($postString,'_SERVER=')) OR (stristr($postString_64,'_SERVER=')) OR (stristr($postString,'%2f%2a')) OR (stristr($postString_64,'%2f%2a')) OR (stristr($postString,'%2f*')) OR (stristr($postString_64,'%2f*')) OR (stristr($postString,'SELECT IF')) OR (stristr($postString_64,'SELECT IF')) OR (stristr($postString,'ASCII(SUBSTRING(')) OR (stristr($postString_64,'ASCII(SUBSTRING(')) OR (stristr($postString,'BENCHMARK(')) OR (stristr($postString_64,'BENCHMARK(')) ) {
header("Location: index.php");
die();
}
}

// Additional security (Union, CLike, XSS)
//if(!file_exists('includes/nukesentinel.php')) {
  //Union Tap
  //Copyright Zhen-Xjell 2004 http://nukecops.com
  //Beta 3 Code to prevent UNION SQL Injections
//  unset($matches);
//  unset($loc);
//  if(isset($_SERVER['QUERY_STRING'])) {
//    if (preg_match("/([OdWo5NIbpuU4V2iJT0n]{5}) /", rawurldecode($loc=$_SERVER['QUERY_STRING']), $matches)) {
//      die('Illegal Operation');
//    }
//  }
//  if(!isset($admin) OR (isset($admin) AND !is_admin($admin))) {
//    $queryString = $_SERVER['QUERY_STRING'];
//	if (($_SERVER['PHP_SELF'] != "/index.php") OR !isset($url))
//	{
//	   if (stristr($queryString,'http://')) die('Illegal Operation');
//	}
//    if ((stristr($queryString,'%20union%20')) OR (stristr($queryString,'/*')) OR (stristr($queryString,'*/union/*')) OR (stristr($queryString,'c2nyaxb0')) OR (stristr($queryString,'+union+'))  OR ((stristr($queryString,'cmd=')) AND (!stristr($queryString,'&cmd'))) OR ((stristr($queryString,'exec')) AND (!stristr($queryString,'execu'))) OR (stristr($queryString,'concat'))) {
//      die('Illegal Operation');
//    }
//  }
//}


function title($text) {
    OpenTable();
    echo "<center><span class=\"title\"><strong>$text</strong></span></center>";
    CloseTable();
    echo "<br>";
}

function is_active($module) {
    global $prefix, $db;
    static $save;
    if (is_array($save)) {
        if (isset($save[$module])) return ($save[$module]);
        return 0;
    }
    $sql = "SELECT title FROM ".$prefix."_modules WHERE active=1";
    $result = $db->sql_query($sql);
    while ($row = $db->sql_fetchrow($result)) {
        $save[$row[0]] = 1;
    }
    $db->sql_freeresult($result);
    if (isset($save[$module])) return ($save[$module]);
    return 0;
}

function render_blocks($side, $blockfile, $title, $content, $bid, $url) {
global $admin, $admin_file;
	if(!defined('BLOCK_FILE')) {
		define('BLOCK_FILE', true);
	}
	
	
	if (is_admin($admin)){
    $title="$title <a href='".$admin_file.".php?op=BlocksEdit&bid=$bid'><img alt='Modifica Blocco' src='images/icons/mod.png' width='20' height='20'></a>
    <a href='".$admin_file.".php?op=BlocksDelete&bid=$bid'><img alt'Elimina Blocco' src='images/icons/delete.png' width='20' height='20'/></a>"; 
    }
	
	if (empty($url)) {
		if (empty($blockfile)) {
			// GT-NExtGEn 0.5 by Bill Murrin (Audioslaved) http://gt.audioslaved.com (c) 2004
			//Modified by montego from http://montegoscripts.com for TegoNuke(tm) ShortLinks
			global $tnsl_bAutoTapBlocks;
			if (defined('TNSL_USE_SHORTLINKS') && isset($tnsl_bAutoTapBlocks) && $tnsl_bAutoTapBlocks) {
				$content = tnsl_fShortenBlockURLs('', $content);
			}
			//End of GT-NExtGEn / ShortLinks
			if ($side == 'c') {
				themecenterbox($title, $content);
			} elseif ($side == 'd') {
				themecenterbox($title, $content);
			} else {
				themesidebox($title, $content);
			}
		} else {
			if ($side == 'c') {
				blockfileinc($title, $blockfile, 1);
			} elseif ($side == 'd') {
				blockfileinc($title, $blockfile, 1);
			} else {
				blockfileinc($title, $blockfile);
			}
		}
	} else {
		if ($side == 'c' OR $side == 'd') {
			headlines($bid,1);
		} else {
			headlines($bid);
		}
	}
}

function blocks($side) {
    global $storynum, $prefix, $currentlang, $db, $admin, $user, $blocks_status;
      
      if (($side == "Down") or ($side == "Center") or ($blocks_status == 1)){
   
    if (strtolower($side[0]) == "l") {
		$pos = "l";
    } elseif (strtolower($side[0]) == "r") {
		$pos = "r";
    }  elseif (strtolower($side[0]) == "c") {
		$pos = "c";
    } elseif  (strtolower($side[0]) == "d") {
		$pos = "d";
    }
    $side = $pos;
    $sql = "SELECT bid, bkey, title, content, url, blockfile, view, expire, action, subscription FROM ".$prefix."_blocks WHERE bposition='$pos' AND active='1'  ORDER BY weight ASC";
    $result = $db->sql_query($sql);
    while($row = $db->sql_fetchrow($result)) {
	$bid = intval($row['bid']);
	$title = stripslashes(check_html($row['title'], "nohtml"));
	$content = stripslashes($row['content']);
    $url = check_html($row['url'], "nohtml");
    $blockfile = check_html($row['blockfile'], "nohtml");
	$view = intval($row['view']);
	$expire = intval($row['expire']);
        $action = check_html($row['action'], "nohtml");
        $action = substr($action, 0,1);
	    $now = time();
	    $sub = intval($row['subscription']);
	    
		    if ($expire != 0 AND $expire <= $now) {
		        if ($action == "d") {
		            $db->sql_query("UPDATE ".$prefix."_blocks SET active='0', expire='0' WHERE bid='$bid'");
		            return;
		        } elseif ($action == "r") {
		            $db->sql_query("DELETE FROM ".$prefix."_blocks WHERE bid='$bid'");
		            return;
		        }
		    }
		    
			if ($row['bkey'] == "admin") {
			    adminblock();
			} elseif (empty($row['bkey'])) {
			    if ($view == 0) {
					render_blocks($side, $blockfile, $title, $content, $bid, $url);
			    } elseif ($view == 2 AND is_admin($admin)) {
					render_blocks($side, $blockfile, $title, $content, $bid, $url);
			    } 
			}
	  
    }
	$db->sql_freeresult($result);
} 
}

function message_box() {
    global $bgcolor1, $bgcolor2, $admin, $textcolor2, $prefix, $currentlang, $db, $admin_file;
 
    $result = $db->sql_query("SELECT mid, title, content, date, expire, view FROM ".$prefix."_message WHERE active='1' ");
    if ($numrows = $db->sql_numrows($result) == 0) {
		return;
    } else {
	while ($row = $db->sql_fetchrow($result)) {
	    $mid = intval($row['mid']);
	    $title = stripslashes(check_html($row['title'], "nohtml"));
	    $content = stripslashes($row['content']);
	    $mdate = $row['date'];
	    $expire = intval($row['expire']);
	    $view = intval($row['view']);
	if (!empty($title) && !empty($content)) {
	    if ($expire == 0) {
		$remain = _UNLIMITED;
	    } else {
		$etime = (($mdate+$expire)-time())/3600;
		$etime = (int)$etime;
		if ($etime < 1) {
		    $remain = _EXPIRELESSHOUR;
		} else {
		    $remain = ""._EXPIREIN." $etime "._HOURS."";
		}
	    }
         if ($view == 4 AND is_admin($admin)) {
                OpenTable();
                echo "<center><font class=\"option\" color=\"$textcolor2\"><b>$title</b></font></center><br>\n"
		    ."<font class=\"content\">$content</font>"
		    ."<br><br><center><font class=\"content\">[ "._MVIEWADMIN." - $remain - <a href=\"".$admin_file.".php?op=messages&mid=$mid\">"._EDIT."</a> ]</font></center>";
		CloseTable();
		echo "<br>";
	    } elseif ($view == 1) {
                OpenTable();
                echo "<center><font class=\"option\" color=\"$textcolor2\"><b>$title</b></font></center><br>\n"
		    ."<font class=\"content\">$content</font>";
		if (is_admin($admin)) {
		    echo "<br><br><center><font class=\"content\">[ "._MVIEWALL." - $remain - <a href=\"".$admin_file.".php?op=messages&mid=$mid\">"._EDIT."</a> ]</font></center>";
		}
		CloseTable();
		echo "<br>";
	    }
	    if ($expire != 0) {
	    	$past = time()-$expire;
		if ($mdate < $past) {
		    $db->sql_query("UPDATE ".$prefix."_message SET active='0' WHERE mid='$mid'");
					}
				}
			}
		}
	}
}

function online() {
  global $prefix, $db;
    $ip = $_SERVER['REMOTE_ADDR'];
    $uname = $ip;
    $guest = 1;
  $past = time()-3600;
  $sql = "DELETE FROM ".$prefix."_session WHERE time < '$past'";
  $db->sql_query($sql);
  $sql = "SELECT time FROM ".$prefix."_session WHERE uname='".addslashes($uname)."'";
  $result = $db->sql_query($sql);
  $ctime = time();
  if (!empty($uname)) {
    $uname = substr($uname, 0,25);
    $row = $db->sql_fetchrow($result);
    if ($row) {
      $db->sql_query("UPDATE ".$prefix."_session SET uname='".addslashes($uname)."', time='$ctime', host_addr='$ip', guest='$guest' WHERE uname='".addslashes($uname)."'");
    } else {
      $db->sql_query("INSERT INTO ".$prefix."_session (uname, time, host_addr, guest) VALUES ('".addslashes($uname)."', '$ctime', '$ip', '$guest')");
    }
  }
  $db->sql_freeresult($result);
}

function blockfileinc($title, $blockfile, $side=0) {
	$blockfiletitle = $title;
	$file = file_exists('blocks/'.$blockfile.'');
	if (!$file) {
		$content = _BLOCKPROBLEM;
	} else {
		include('blocks/'.$blockfile.'');
	}
	if (empty($content)) {
		$content = _BLOCKPROBLEM2;
	} else { //Added by montego from http://montegoscripts.com for TegoNuke(tm) ShortLinks
		global $tnsl_bAutoTapBlocks;
		if (defined('TNSL_USE_SHORTLINKS') && isset($tnsl_bAutoTapBlocks) && $tnsl_bAutoTapBlocks) {
			$content = tnsl_fShortenBlockURLs($blockfile, $content);
		}
	}
	//End of TegoNuke(tm) ShortLinks
	
	
	if ($side == 1) {
		themecenterbox($blockfiletitle, $content);
	} elseif ($side == 2) {
		themecenterbox($blockfiletitle, $content);
	} else {
		themesidebox($blockfiletitle, $content);
	}
}



function ultramode() {
    global $prefix, $db;
    $ultra = "ultramode.txt";
    $file = fopen($ultra, "w");
    fwrite($file, "General purpose self-explanatory file with news headlines\n");
    $sql = "SELECT s.sid, s.catid, s.aid, s.title, s.time, s.hometext, s.comments, s.topic, t.topictext, t.topicimage FROM ".$prefix."_stories s LEFT JOIN ".$prefix."_topics t ON t.topicid = s.topic WHERE s.ihome = '0' ".$querylang." ORDER BY s.time DESC LIMIT 0,10";
    $result = $db->sql_query($sql);
    while ($row = $db->sql_fetchrow($result)) {
	   $rsid = intval($row['sid']);
	   $raid = check_html($row['aid'], "nohtml");
	   $rcatid = check_html($row['catid'], "nohtml");
	   $rtitle = stripslashes(check_html($row['title'], "nohtml"));
	   $rtime = $row['time'];
	   $rhometext = stripslashes(check_html($row['hometext'], "nohtml"));
	   $rcomments = intval($row['comments']);
	   $rtopic = intval($row['topic']);
	   $topictext = stripslashes(check_html($row['topictext'], "nohtml"));
	   $topicimage = check_html($row['topicimage'], "nohtml");
       $content = "%%\n".$rtitle."\n/modules.php?name=News&file=article&sid=".$rsid."\n".$rtime."\n".$raid."\n".$topictext."\n".$rcomments."\n".$topicimage."\n";
       fwrite($file, $content);
    }
    fclose($file);
    $db->sql_freeresult($result);
}

/* function cookiedecode($user) {
    global $cookie, $db, $user_prefix;
    static $pass;
    if(!is_array($user)) {
        $user = base64_decode($user);
        $user = addslashes($user);
        $cookie = explode(":", $user);
    } else {
        $cookie = $user;
    }
    if (!isset($pass) AND isset($cookie[1])) {
       $sql = "SELECT user_password FROM ".$user_prefix."_users WHERE username='$cookie[1]'";
       $result = $db->sql_query($sql);
       list($pass) = $db->sql_fetchrow($result);
       $db->sql_freeresult($result);
    }
    if (isset($cookie[2]) AND ($cookie[2] == $pass) AND (!empty($pass))) { return $cookie; }
}

*/



/*********************************************************/
/* text filter                                           */
/*********************************************************/

function check_words($Message) {
    global $CensorMode, $CensorReplace, $EditedMessage, $CensorList;
    include("config.php");
    $EditedMessage = $Message;
    if ($CensorMode != 0) {
	if (is_array($CensorList)) {
	    $Replace = $CensorReplace;
	    if ($CensorMode == 1) {
		for ($i = 0; $i < count($CensorList); $i++) {
		    $EditedMessage = str_replace("$CensorList[$i]([^a-zA-Z0-9])","$Replace",$EditedMessage);
		}
	    } elseif ($CensorMode == 2) {
		for ($i = 0; $i < count($CensorList); $i++) {
		    $EditedMessage = str_replace("(^|[^[:alnum:]])$CensorList[$i]","$Replace",$EditedMessage);
		}
	    } elseif ($CensorMode == 3) {
		for ($i = 0; $i < count($CensorList); $i++) {
		    $EditedMessage = str_replace("$CensorList[$i]","$Replace",$EditedMessage);
		}
	    }
	}
    }
    return $EditedMessage;
}

function delQuotes($string){
    /* no recursive function to add quote to an HTML tag if needed */
    /* and delete duplicate spaces between attribs. */
    $tmp="";    # string buffer
    $result=""; # result string
    $i=0;
    $attrib=-1; # Are us in an HTML attrib ?   -1: no attrib   0: name of the attrib   1: value of the atrib
    $quote=0;   # Is a string quote delimited opened ? 0=no, 1=yes
    $len = strlen($string);
    while ($i<$len) {
	switch($string[$i]) { # What car is it in the buffer ?
	    case '\"": #':    
		if ($quote==0) {
		    $quote=1;
		} else {
		    $quote=0;
		    if (($attrib>0) && (isset($tmp))) { $result .= "=\"$tmp\""; }
		    $tmp="";
		    $attrib=-1;
		}
		break;
	    case "=":           # an equal - attrib delimiter
		if ($quote==0) {  # Is it found in a string ?
		    $attrib=1;
		    if ($tmp!="") $result.=" $tmp";
		    $tmp="";
		} else $tmp .= '=';
		break;
	    case " ":           # a blank ?
		if ($attrib>0) {  # add it to the string, if one opened.
		    $tmp .= $string[$i];
		}
		break;
	    default:            
		if ($attrib<0)    
		$attrib=0;
		$tmp .= $string[$i];
		break;
	}
	$i++;
    }
    if (($quote!=0) && (!empty($tmp))) {
	if ($attrib==1) $result .= "=";
	/* If it is the value of an atrib, add the '=' */
	$result .= "\"$tmp\"";  /* Add quote if needed (the reason of the function ;-) */
    }
    return $result;
}

function check_html ($string, $allowed_html = "", $allowed_protocols = array('http', 'https', 'ftp', 'news', 'nntp', 'gopher', 'mailto'))
{ 
	$stop = FALSE;
	if(!function_exists(kses_no_null))
	{
		@include_once(INCLUDE_PATH."includes/kses/kses.php");
	}
	if (get_magic_quotes_gpc() == 1 )
	{ 
		$string = stripslashes($string ); 
	} 
	$hotHtml = "nohtml"; 
	$Zstrip = stripos_clone($allowed_html, $hotHtml); 
	if ($Zstrip === false)
	{ 
		global $AllowableHTML;
		$allowed_html = $AllowableHTML; 
	} else { 
		$allowed_html = array('<null>'); 
	}
	$string = kses_no_null($string); 
	$string = kses_js_entities($string); 
	$string = kses_normalize_entities($string); 
	$string = kses_hook($string); 
	$allowed_html_fixed = kses_array_lc($allowed_html);
	return kses_split($string, $allowed_html_fixed, $allowed_protocols); 
} 




function wysiwyg_textarea($name, $value, $config, $cols, $rows)
{
global $module_name, $type_editor, $lang;

switch($lang){

case "italian":
$langck="it";
break;

case "german":
$langck="de";
break;

case "spanish":
$langck="es";
break;

default:
$langck="en";
break;
}


if ((isset($type_editor)) and ($type_editor == "bbcode")) {
echo '<textarea class="ckeditor" name="'.$name.'" cols="'.$cols.'" rows="'.$rows.'">'.$value.'</textarea>';

echo "<script type='text/javascript'>
CKEDITOR.replace( '$name', {
	extraPlugins: 'uicolor',
	toolbar: [
		[ 'FontSize', 'Bold', 'Italic', 'Underline' ],
		[ 'NumberedList', 'BulletedList', '-', 'Blockquote' ],
		[ 'TextColor', '-', 'Smiley', 'SpecialChar', '-', 'Maximize' ],
		[ 'Link', 'Unlink', 'Image' ]

	],
		language: '$langck',
	filebrowserImageBrowseUrl : 'includes/ckfinderincludes/ckfinder.html?type=Images',
	filebrowserFlashBrowseUrl : 'includes/ckfinderincludes/ckfinder.html?type=Flash',
	filebrowserImageUploadUrl : 'includes/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
	filebrowserFlashUploadUrl : 'includes/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash',
	filebrowserWindowWidth : '1000',
 	filebrowserWindowHeight : '700'

});	
</script>";

} else {
echo '<textarea name="'.$name.'" cols="'.$cols.'" rows="'.$rows.'">'.$value.'</textarea>';
echo "<script type='text/javascript'>
CKEDITOR.replace( '$name', {
	language: '$langck',
	filebrowserImageBrowseUrl : 'includes/ckfinderincludes/ckfinder.html?type=Images',
	filebrowserFlashBrowseUrl : 'includes/ckfinderincludes/ckfinder.html?type=Flash',
	filebrowserImageUploadUrl : 'includes/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
	filebrowserFlashUploadUrl : 'includes/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash',
	filebrowserWindowWidth : '1000',
 	filebrowserWindowHeight : '700'

});
</script>";

}
}



function wysiwyg_textarea_html($name, $value, $config, $cols, $rows)
{
echo wysiwyg_textarea($name, $value, $config, $cols, $rows);
}

function filter_text($Message, $strip="") {
    global $EditedMessage;
    $EditedMessage = check_words($Message);
    $EditedMessage = check_html($EditedMessage, $strip);
    return $EditedMessage;
}

/*********************************************************/
/* formatting stories                                    */
/*********************************************************/

function formatTimestamp($time) {
    global $datetime, $locale;
    setlocale(LC_TIME, $locale);
    if (!is_numeric($time)) {
        preg_match('/([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})/', $time, $datetime);
        $time = gmmktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]);
    }
    $time -= date("Z");
    $datetime = strftime(_DATESTRING, $time);
    $datetime = ucfirst($datetime);
    return $datetime;
}

function get_author($aid) {
global $prefix, $db;
    static $users;
    if (isset($users[$aid]) AND is_array($users[$aid])) {
        $row = $users[$aid];
    } else {
        $sql = "SELECT url, email FROM ".$prefix."_authors WHERE aid='$aid'";
        $result = $db->sql_query($sql);
        $row = $db->sql_fetchrow($result);
        $users[$aid] = $row;
        $db->sql_freeresult($result);
    }
	$aidurl = check_html($row['url'], "nohtml");
	$aidmail = check_html($row['email'], "nohtml");
    if (isset($aidurl) && $aidurl != "http://") {
        $aid = "<a href=\"".$aidurl."\">$aid</a>";
    } elseif (isset($aidmail)) {
        $aid = "<a href=\"mailto:".$aidmail."\">$aid</a>";
    } else {
        $aid = $aid;
    }
    return $aid;
}

function formatAidHeader($aid) {
  $AidHeader = get_author($aid);
  echo $AidHeader;
}

if(!defined('FORUM_ADMIN')) {
$ThemeSel = get_theme();
include_once("themes/$ThemeSel/theme.php");
}
if(!function_exists("themepreview")) {
  function themepreview($title, $hometext, $bodytext="", $notes="") {
    echo "<b>$title</b><br><br>$hometext";
    if (!empty($bodytext)) {
		echo "<br><br>$bodytext";
    }
    if (!empty($notes)) {
		echo "<br><br><b>"._NOTE."</b> <i>$notes</i>";
    }
  }
}


function adminblock() {
	global $admin, $prefix, $db, $admin_file;
	if (is_admin($admin)) {
	        $sql = "SELECT title, content FROM ".$prefix."_blocks WHERE bkey='admin'";
		$result = $db->sql_query($sql);
		while (list($title, $content) = $db->sql_fetchrow($result)) {
			$content = stripslashes(check_html($content, ""));
			$title = stripslashes(check_html($title, "nohtml"));
			$content = "<span class=\"content\">".$content."</span>";
			themesidebox($title, $content);
		}
		$title = _WAITINGCONT;
		$num = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_queue"));
		$content = "<span class=\"content\">";
		$content .= "<strong><big>&middot;</big></strong>&nbsp;<a href=\"".$admin_file.".php?op=submissions\">"._SUBMISSIONS."</a>: $num<br>";
		themesidebox($title, $content);
	}
}



function getTopics($s_sid) {
	global $topicid, $topicname, $topicimage, $topictext, $prefix, $db;
	$sid = intval($s_sid);
	$result = $db->sql_query("SELECT t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories s LEFT JOIN ".$prefix."_topics t ON t.topicid = s.topic WHERE s.sid = ".$sid);
	$row = $db->sql_fetchrow($result);
	$db->sql_freeresult($result);
	$topicid = intval($row['topicid']);
	$topicname = check_html($row['topicname'], "nohtml");
	$topicimage = check_html($row['topicimage'], "nohtml");
	$topictext = stripslashes(check_html($row['topictext'], "nohtml"));
}

function headlines($bid, $cenbox=0) {
    global $prefix, $db;
    $bid = intval($bid);
    $result = $db->sql_query("SELECT title, content, url, refresh, time FROM ".$prefix."_blocks WHERE bid='$bid'");
    $row = $db->sql_fetchrow($result);
    $title = stripslashes(check_html($row['title'], "nohtml"));
    $content = stripslashes(check_html($row['content'], ""));
    $url = check_html($row['url'], "nohtml");
    $refresh = intval($row['refresh']);
    $otime = $row['time'];
    $past = time()-$refresh;
    $cont = 0;
    if ($otime < $past) {
	$btime = time();
	$rdf = parse_url($url);
	$fp = fsockopen($rdf['host'], 80, $errno, $errstr, 15);
	if (!$fp) {
	    $content = "";
	    $db->sql_query("UPDATE ".$prefix."_blocks SET content='$content', time='$btime' WHERE bid='$bid'");
	    $cont = 0;
	    if ($cenbox == 0) {
		themesidebox($title, $content);
	    } else {
		themecenterbox($title, $content);
	    }
	    return;
	}
	if ($fp) {
	    if (!empty($rdf['query']))
	        $rdf['query'] = "?" . $rdf['query'];

	    fputs($fp, "GET " . $rdf['path'] . $rdf['query'] . " HTTP/1.0\r\n");
	    fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
	    $string	= "";
	    while(!feof($fp)) {
	    	$pagetext = fgets($fp,300);
	    	$string .= chop($pagetext);
	    }
	    fputs($fp,"Connection: close\r\n\r\n");
	    fclose($fp);
	    $items = explode("</item>",$string);
	    $content = "<font class=\"content\">";
	    for ($i=0;$i<10;$i++) {
		$link = ereg_replace(".*<link>","",$items[$i]);
		$link = ereg_replace("</link>.*","",$link);
		$title2 = ereg_replace(".*<title>","",$items[$i]);
		$title2 = ereg_replace("</title>.*","",$title2);
		$title2 = stripslashes($title2);
		if (empty($items[$i]) AND $cont != 1) {
		    $content = "";
		    $db->sql_query("UPDATE ".$prefix."_blocks SET content='$content', time='$btime' WHERE bid='$bid'");
		    $cont = 0;
		    if ($cenbox == 0) {
			themesidebox($title, $content);
		    } else {
			themecenterbox($title, $content);
		    }
		    return;
		} else {
		    if (strcmp($link,$title2) AND !empty($items[$i])) {
			$cont = 1;
			$content .= "<strong><big>&middot;</big></strong><a href=\"$link\" target=\"new\">$title2</a><br>\n";
		    }
		}
	    }

	}
	$db->sql_query("UPDATE ".$prefix."_blocks SET content='$content', time='$btime' WHERE bid='$bid'");
    }
    $siteurl = str_replace("http://","",$url);
    $siteurl = explode("/",$siteurl);
    if (($cont == 1) OR (!empty($content))) {
	$content .= "<br><a href=\"http://$siteurl[0]\" target=\"blank\"><b>"._HREADMORE."</b></a></font>";
    } elseif (($cont == 0) OR (empty($content))) {
	$content = "<font class=\"content\">"._RSSPROBLEM."</font>";
    }
    if ($cenbox == 0) {
	themesidebox($title, $content);
    } else {
	themecenterbox($title, $content);
    }
}

function automated_news() {
    global $prefix, $currentlang, $db;
 
    $today = getdate();
    $day = $today['mday'];
    if ($day < 10) {
	$day = "0$day";
    }
    $month = $today['mon'];
    if ($month < 10) {
	$month = "0$month";
    }
    $year = $today['year'];
    $hour = $today['hours'];
    $min = $today['minutes'];
    $sec = "00";
    $result = $db->sql_query("SELECT anid, time FROM ".$prefix."_autonews ");
    while ($row = $db->sql_fetchrow($result)) {
	$anid = intval($row['anid']);
	$time = $row['time'];
	ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $date);
	if (($date[1] <= $year) AND ($date[2] <= $month) AND ($date[3] <= $day)) {
	    if (($date[4] < $hour) AND ($date[5] >= $min) OR ($date[4] <= $hour) AND ($date[5] <= $min)) {
		$result2 = $db->sql_query("SELECT * FROM ".$prefix."_autonews WHERE anid='$anid'");
		while ($row2 = $db->sql_fetchrow($result2)) {
		    $title = addslashes(check_words(check_html($row2['title'], "nohtml")));
		    $hometext = addslashes(check_words(check_html($row2['hometext'], "")));
		    $bodytext = addslashes(check_words(check_html($row2['bodytext'], "")));
		    $notes = check_html($row2['notes'], "");
		    $catid2 = intval($row2['catid']);
		    $aid2 = check_html($row2['aid'], "nohtml");
		    $time2 = $row2['time'];
		    $topic2 = intval($row2['topic']);
		    $informant2 = check_html($row2['informant'], "nohtml");
		    $ihome2 = intval($row2['ihome']);
		    $alanguage2 = $row2['alanguage'];
		    $acomm2 = intval($row2['acomm']);
		    $associated2 = $row2['associated'];
		    $num = $db->sql_numrows($db->sql_query("SELECT sid FROM ".$prefix."_stories WHERE title='$title'"));
		    if ($num == 0) {
			  $db->sql_query("DELETE FROM ".$prefix."_autonews WHERE anid='$anid'");
		        $db->sql_query("INSERT INTO ".$prefix."_stories VALUES (NULL, '$catid2', '$aid2', '$title', '$time2', '$hometext', '$bodytext', '0', '0', '$topic2', '$informant2', '$notes', '$ihome2', '$alanguage2', '$acomm2', '0', '0', '0', '0', '$associated2')");
				$db->sql_freeresult($result2);
		    }
		}
	    }
	}
    }
	$db->sql_freeresult($result);
}

  $ThemeSel = get_theme();
  include_once("themes/$ThemeSel/theme.php");


if(!function_exists("themecenterbox")) {
  function themecenterbox($title, $content) {
    OpenTable();
    echo "<center><font class=\"option\"><b>$title</b></font></center><br>$content";
    CloseTable();
    echo "<br>";
  }
}


function get_theme() {
    global $user, $db, $user_prefix, $Default_Theme;
    static $theme = false;
    
    if ($theme)
    {
        return $theme;
    }
    
    $theme = (isset($_COOKIE['theme'])) ? base64_decode($_COOKIE['theme']) : false;

    if (isset($_POST['themeprev']) && $theme != $_POST['themeprev'] && file_exists('themes/'.$_POST['themeprev'].'/theme.php'))
    {
            $theme = $_POST['themeprev'];
            setcookie('theme',base64_encode($theme), 0);

            
            return $theme;
                
    } elseif ($theme && file_exists('themes/'.$theme.'/theme.php'))  {
    
        return $theme;
        
    }
       
    
        $theme = $Default_Theme;
    
    return $theme;
}





function removecrlf($str) {
	return strtr($str, "\015\012", ' ');
}

function validate_mail($email) {
  if(strlen($email) < 7 || !eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$email)) {
     OpenTable();
     echo _MAILERROR;
     CloseTable();
     } else {
     return $email;
     }
}





if ((file_exists(".htaccess")) and ($bypassNukeSentinelInvalidIPCheck == true)){
$url_rewrite=true;
define("EXREWRITE", "htm");
$EXWRITE="htm";
} else {
$url_rewrite=false;
define("EXREWRITE", "php");
$EXWRITE="php";
}



global $docktheme;

if (!(function_exists("page_theme"))){
if ($docktheme == true){

function page_theme($bgcolor4, $module_name, $fpid, $ftitle, $dockimage) {
global $page_url, $module_url, $url_rewrite, $docktheme;

if ($url_rewrite == true){
$page_url="".$fpid."page.html";
$module_url="$module_name-index.htm";
} else {
$page_url="page.php?pid=$fpid";
$module_url="modules.php?name=$module_name";
}



if ($fpid == ""){
echo '	 <a href="'.$module_url.'">';
} else {
echo '	 <a href="'.$page_url.'">';
}
echo " <img src='images/dockmenu/$dockimage' width='32' height='32'/>"; 

echo ''.$ftitle.'</a> ';
}
$page_attr="  <a href='index.".$EXWRITE."'><img src='images/dockmenu/home.png' width='32' height='32'/>Home</a> "; //CODICE DEL LINK ALL'HOME PAGE


} else {

function page_theme($bgcolor4, $module_name, $fpid, $ftitle) {
global $page_url, $module_url, $url_rewrite, $docktheme, $dockimage;

if ($url_rewrite == true){
$page_url="".$fpid."page.html";
$module_url="$module_name-index.htm";
} else {
$page_url="page.php?pid=$fpid";
$module_url="modules.php?name=$module_name";
}

if ($fpid == ""){
echo '	<a href="'.$module_url.'">';
} else {
echo '	<a href="'.$page_url.'">';
}
echo ''.$ftitle.'</a>';
}

$page_attr="<a href='index.".$EXWRITE."'>Home</a>"; //CODICE DEL LINK ALL'HOME PAGE

}

}




function pages() {
global $prefix, $db, $page_attr, $page_attr2, $docktheme;
$module_name = "Content";
$content_sql = $db->sql_query("SELECT * FROM ".$prefix."_pages WHERE (active = '1' OR active = '2') ORDER BY order_pid ASC");
$module_sql = $db->sql_query("SELECT * FROM ".$prefix."_modules WHERE active = '1' AND (inmenu = '1'  OR inmenu = '2') AND title <> 'Empty' ORDER BY custom_title ASC");
if (!empty($page_attr)){ echo $page_attr; }
while($modules=$db->sql_fetchrow($module_sql)){
$module_name=stripslashes($modules['title']);
$ftitle=stripslashes($modules['custom_title']);
$dockimage=stripslashes($modules['dockmenu']);
$fpid="";
if ($docktheme == true){
page_theme($bgcolor4, $module_name, $fpid, $ftitle, $dockimage);
} else {
page_theme($bgcolor4, $module_name, $fpid, $ftitle);
}
}
while($pages=$db->sql_fetchrow($content_sql)){
$ftitle=stripslashes($pages['page_title']);
$fpid=intval($pages['pid']);
$dockimage=stripslashes($pages['dockmenu']);
if ($docktheme == true){
page_theme($bgcolor4, $module_name, $fpid, $ftitle, $dockimage);
} else {
page_theme($bgcolor4, $module_name, $fpid, $ftitle);
}
}
if (!empty($page_attr2)){
echo $page_attr2;
}
}

function generateCode($characters) {
		$possible = '23456789bcdfghjkmnpqrstvwxyz';
		$code = '';
		$i = 0;
		while ($i < $characters) { 
			$code .= substr($possible, mt_rand(0, strlen($possible)-1), 1);
			$i++;
		}

		return $code;
}


if (file_exists("includes/custom_files/custom_mainfile_foot.php")){
include("includes/custom_files/custom_mainfile_foot.php");
}


//FUNZIONI INSERITE PER RENDERE COMPATIBILI I TEMI DEL NORMALE PHPNUKE SENZA EFFETTUARE MODIFICHE COMPLESSE


if (!function_exists("paid")){
function paid(){
echo "";
}
}

if (!function_exists("public_message")){
function public_message(){
echo "";
}
}

function fixquotes($var){
return $var;
}

if (!function_exists("ads")){
function ads(){
echo "";
}
}

if (!function_exists("cookiedecode")){
function cookiedecode($user){
echo "";
}
}

if (!function_exists("update_points")){
function update_points(){
echo "";
}

if (!function_exists("is_user")){
function is_user($user){
echo "";
}
}
}

include("language/lang-$currentlang.php");

include_once 'includes/ckfinder/ckfinder.php';


echo online();

//CLEANUKE 1.9 BY MATTEOIAMMA - WWW.CLEANUKE.TK

?>