<?php

/************************************************************************/
/* Accessible Portal: Web Portal System                                 */
/* ==============================                                       */
/* Blocco , modulo e funzione Google Maps Statics                       */
/* by l.apolito www.linuxap.it luglio 2012                              */
/************************************************************************/


if ( !defined('ADMIN_FILE') )
{
	die ("Access Denied");
}


global $prefix, $db, $admin_file, $siteid,$admin,$lang;

$module_name = "Where";
### legge la lingua
		global $currentlang, $language;
		if (file_exists("modules/".$module_name."/admin/language/lang-$currentlang.php")) {
			include_once("modules/".$module_name."/admin/language/lang-$currentlang.php");
		} else {
			include_once("modules/".$module_name."/admin/language/lang-italian.php");
		}
  




$aid = substr($aid, 0,25);
$query = $db->sql_query("SELECT title, admins FROM ".$prefix."_modules WHERE title='$module_name' and site_id='$siteid'");
list($title, $admins) = $db->sql_fetchrow($query);
$query2 = $db->sql_query("SELECT name, radminsuper FROM ".$prefix."_authors WHERE aid='$aid'");
list($name, $radminsuper) = $db->sql_fetchrow($query2);
$admins = explode(",", $admins);
$auth_user = 0;
for ($i=0; $i < sizeof($admins); $i++) {
	if ($name == $admins[$i] AND !empty($admins)) {
		$auth_user = 1;
	}
}

if ($radminsuper == 1 || $auth_user == 1) {

function make_db_maps(){
global $db,$prefix;

if( $db->sql_numrows($db->sql_query("SHOW TABLES LIKE '".$prefix."_multilogin' ")) < 1 ){ 
$result = $db->sql_query("CREATE TABLE IF NOT EXISTS ".$prefix."_maps_static (
  `id_map` int(10) NOT NULL AUTO_INCREMENT,
  `address` varchar(255) NOT NULL DEFAULT '',
  `city` varchar(100) NOT NULL DEFAULT '',
  `prov` char(2) NOT NULL DEFAULT '',
  `tel` varchar(100) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `cell` varchar(100) NOT NULL DEFAULT '',
  `fax` varchar(255) NOT NULL DEFAULT '',
  `ditta` varchar(255) NOT NULL DEFAULT '',
  `referente` varchar(255) NOT NULL DEFAULT '',
  `piva` varchar(255) NOT NULL DEFAULT '',
  `cf` varchar(255) NOT NULL DEFAULT '',
  `width` int(10) NOT NULL DEFAULT '0',
  `height` int(10) NOT NULL DEFAULT '0',
  `zoom` int(10) NOT NULL DEFAULT '0',
  `type` varchar(100) NOT NULL DEFAULT '',
  `width_m` int(10) NOT NULL DEFAULT '0',
  `height_m` int(10) NOT NULL DEFAULT '0',
  `zoom_m` int(10) NOT NULL DEFAULT '0',
  `type_m` varchar(100) NOT NULL DEFAULT '',
  `siteid` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_map`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

");

$res_esempio = $db->sql_query("INSERT INTO ".$prefix."_maps_static (`id_map`, `address`, `city`, `prov`, `tel`, `email`, `cell`, `fax`, `ditta`, `referente`, `piva`, `cf`, `width`, `height`, `zoom`, `type`, `width_m`, `height_m`, `zoom_m`, `type_m`, `siteid`) VALUES(4, 'via Milano 18', 'Roma', 'RM', '06 3400000', 'mario.rossi@webmiosito.it', '340 000000', '06 3400000', 'Il mio sito', 'Mario Rossi', '', '', 150, 200, 14, 'hybrid', 400, 340, 16, 'roadmap', 1);
");
}

} 

# crea e popola il db se non esiste
make_db_maps(); // crea db se non esiste

global $db,$prefix,$admin,$siteid;
$result=$db->sql_query("SELECT address,city,prov,tel,email,cell,fax,ditta,referente,piva,cf,width,height,zoom,type,width_m,height_m,zoom_m,type_m from ".$prefix."_maps_static where siteid='$siteid'");
list($address,$city,$prov,$tel,$email,$cell,$fax,$ditta,$referente,$piva,$cf,$w,$h,$z,$t,$w_m,$h_m,$z_m,$t_m)= $db->sql_fetchrow($result);
	$address_map="$address,$city,$prov";

# salva i dati
	$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ?
		$_GET : $_POST;
	if (isset($param['map'])) $map=htmlentities($param['map']); else $map='';

   	if($map=="save_map"){

        if (isset($param['address'])) $address=htmlentities($param['address']); else $address='';
	if (isset($param['city'])) $city=htmlentities($param['city']); else $city='';
	if (isset($param['prov'])) $prov=htmlentities($param['prov']); else $prov='';
	if (isset($param['tel'])) $tel=htmlentities($param['tel']); else $tel='';
	if (isset($param['email'])) $email=htmlentities($param['email']); else $email='';
	if (isset($param['cell'])) $cell=htmlentities($param['cell']); else $cell='';
	if (isset($param['fax'])) $fax=htmlentities($param['fax']); else $fax='';
	if (isset($param['ditta'])) $ditta=htmlentities($param['ditta']); else $ditta='';
	if (isset($param['referente'])) $referente=htmlentities($param['referente']); else $referente='';
	if (isset($param['piva'])) $piva=htmlentities($param['piva']); else $piva='';
	if (isset($param['cf'])) $cf=htmlentities($param['cf']); else $cf='';
        if (isset($param['width'])) $w=intval($param['width']); else $w='170';
	if (isset($param['height'])) $h=intval($param['height']); else $h='250';
	if (isset($param['zoom'])) $z=intval($param['zoom']); else $z='14';
	if (isset($param['type'])) $t=htmlentities($param['type']); else $t='roadmap';
	if (isset($param['width_m'])) $w_m=intval($param['width_m']); else $w_m='170';
	if (isset($param['height_m'])) $h_m=intval($param['height_m']); else $h_m='250';
	if (isset($param['zoom_m'])) $z_m=intval($param['zoom_m']); else $z_m='14';
	if (isset($param['type_m'])) $t_m=htmlentities($param['type_m']); else $t_m='roadmap';
	if (isset($param['siteid'])) $site_id=intval($param['siteid']); else $siteid='1';

       
       	 $db->sql_query("DELETE FROM ".$prefix."_maps_static WHERE siteid='$siteid'");
      	 $db->sql_query("INSERT INTO ".$prefix."_maps_static VALUES ('','$address','$city','$prov','$tel','$email','$cell','$fax','$ditta','$referente','$piva','$cf','$w','$h','$z','$t','$w_m','$h_m','$z_m','$t_m','$siteid')");
	
	}
	$address_map="$address,$city,$prov";

$form .='
        
	

	<form action="'.$admin_file.'.php">
	<div style="width:600x;margin:0 auto;padding:0;">
	<fieldset style="width:600px;margin:0 auto;padding:0;">
	<legend><b>Where</b> Google Map Static Admin </legend><br/>
	<div style="width:400px;float:left;padding:0;">

        <input type="hidden" name="op" value="where" />
	<input type="hidden" name="map" value="save_map" />
	<input type="hidden" name="siteid" value="'.$siteid.'" />

	<fieldset >
	<legend>'._CONFNODO.'</legend><br/>


	
	<table style="background-color:#e7e7e7;">
	<tr><td>'._AZIENDA.': </td><td><input name="ditta" value="'.stripslashes($ditta).'" size="20" /></td></tr>
	<tr><td>'._INDIRIZZO.': </td><td><input name="address" value="'.stripslashes($address).'" size="20" /></td></tr>
        <tr><td>'._CITTA.': </td><td><input name="city" value="'.stripslashes($city).'" size="20" /></td></tr>
	<tr><td>'._PROVINCIA.': </td><td><input name="prov" value="'.stripslashes($prov).'" size="20" /></td></tr>
	<tr><td>'._TELEFONO.': </td><td><input name="tel" value="'.stripslashes($tel).'" size="20" /></td></tr>
	<tr><td>Fax: </td><td><input name="fax" value="'.stripslashes($fax).'" size="20" /></td></tr>
	<tr><td>Email: </td><td><input name="email" value="'.stripslashes($email).'" size="20" /></td></tr>
	<tr><td>Persona referente: </td><td><input name="referente" value="'.stripslashes($referente).'" size="20" /></td></tr>
	<tr><td>'._MOBILE.': </td><td><input name="cell" value="'.stripslashes($cell).'" size="20" /></td></tr>
	<tr><td>'._PI.': </td><td><input name="piva" value="'.stripslashes($piva).'" size="20" /></td></tr>
	<tr><td>'._CF.': </td><td><input name="cf" value="'.stripslashes($cf).'" size="20" /></td></tr>
		
	<tr> <td></td><td><input type="submit" value="'._SALVA.'" /></td></tr>
	</table>
	</fieldset >
	</div>
	
	<fieldset >
	
	<legend>'._CONFMAPPA.'</legend><br/>
        <div style="width:450px;float:right;text-align:left;padding:0;">
        <table><tr><td>
	<strong>'._MAPBLOCCO.'</strong><br/>
        <table style="background-color:#e7e7e7;"> 
        <tr><td>'._LARGHEZZA.' </td><td><input name="width" value="'.$w.'" size="3" /> </td></tr>
	<tr><td>'._ALTEZZA.' </td><td><input name="height" value="'.$h.'" size="3" /> </td></tr>
	<tr><td>Zoom </td><td><input name="zoom" value="'.$z.'" size="3" /></td></tr>
	<tr><td>'._TIPOMAPPA.'</td><td>
	 <select name="type">
		<option value="'.$t.'" selected>'.$t.'</option>
                <option value="-" disabled>----------------</option>
  		<option value="roadmap">roadmap</option>
  		<option value="satellite">satellite</option>
  		<option value="hybrid">hybrid</option>
 		 <option value="terrain">terrain</option>
	</select>
	</td></tr>
        <tr><td></td><td><input type="submit" value="'._SALVA.'" /></td></tr></table>
	
 	</form>
	<br/>';
      
	$form .='</td><td>
		<strong>'._MAPMODULO.'</strong><br/>
	<table style="background-color:#e2e2e2;">
	<tr><td>'._LARGHEZZA.' </td><td><input name="width_m" value="'.$w_m.'" size="1" /> </td></tr>
	<tr><td>'._ALTEZZA.' </td><td><input name="height_m" value="'.$h_m.'" size="3" /> </td></tr>
	<tr><td>Zoom </td><td><input name="zoom_m" value="'.$z_m.'" size="3" /></td></tr>
	<tr><td>'._TIPOMAPPA.'</td><td>
	 <select name="type_m">
		<option value="'.$t_m.'" selected>'.$t_m.'</option>
                <option value="-" disabled>----------------</option>
  		<option value="roadmap">roadmap</option>
  		<option value="satellite">satellite</option>
  		<option value="hybrid">hybrid</option>
 		 <option value="terrain">terrain</option>
	</select>
	</td></tr>
        <tr><td></td><td><input type="submit" value="'._SALVA.'" /></td></tr></table>
 	</form>
	<br/>';
       	$form .='</td></tr></table>';
	echo $address_map;
	$form .='<strong>'._ANTEBLOCCO.'</strong><br/>';
	$form .="<img style=\"border-style:solid;border-width:1px;\" src=\"modules.php?name=Where&amp;file=include/function_map&amp;op=get_map&amp;map=blocco$multiext\"   alt=\"Google map : visualizza la posizione su una mappa grafica dell 'indirizzo $address_map\" title=\""._ALT." $address_map\"/>";



	$form .= "<div style=\"text-align:right\"><span style=\"font-size:10px;\"><a href=\"http://www.linuxap.it\"><i> &copy;  l.apolito </i></a></span></div>\n";
	
	$form .= '</div></fieldset></fieldset>';
	

	include ("header.php");
	GraphicAdmin(); 
	OpenTable();
	echo $form;
	CloseTable();
	include("footer.php");


  

  
} else {
	include("header.php");
	GraphicAdmin();
	OpenTable();
	echo "<div class=\"content\" style=\"text-align:center\"><strong>"._ERROR."</strong><br /><br />Non hai i permessi di amministrazione per il modulo \"$module_name\"</div>";
	CloseTable();
	include("footer.php");
}

?>
